<?php
//Partner-ID wird ermittelt

$partnerId='';
if (!empty($_GET['pid']))
{
    $partnerId=$_GET['pid'];
}
else
{
    if (!empty($_POST['pid']))
    {
        $partnerId=$_POST['pid'];    
    }
    else 
    {
        if (!empty($_SESSION['fv-pid']))
        {
            
            $partnerId=$_SESSION['fv-pid'];
        }    
        else
        {
            if (!empty($_COOKIE['fv-pid']))
            {
                $partnerId=$_COOKIE['fv-pid'];
            }
        }
    }
}

if ($partnerId!="")
{
    //Partner-ID wird in die Cookies geschrieben
    setcookie("fv-pid",$partnerId,time()+(3600*24 * 60)); //Cookie hat eine Gültigkeit von 60 Tagen    
}
session_start();
if ($partnerId!="")
{
    //Partner-ID wird noch in die Session gespeichert
    $_SESSION['fv-pid']=$partnerId;
}

/*
Plugin Name: FastViewer - Lizenz Generator
Description: Dieses Plugin generiert vollautomatisch die Lizenzdaten einer 30-tägigen Demoversion der Software fastviewer - Instant Meeting oder fastviewer - Secure Advisor und sendet dem Anwender diese Lizenzdaten per E-Mail zu.
Author: Heiko Harmes
Author URI: http://www.addacta.de/
Version: 1.2
*/

/*  Copyright 2015 ComInvent (E-Mail: kontakt at cominvent.de) */

//Überprüfung, ob es eine Ajax-Abfrage ist.
if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
             
    $arr = $_POST;

    /**
     * Asynchrones Abfragen und Anzeigen
     */

     $return='';
     $action='';
     if (isset($arr['action']))
     {
        $action=$arr['action'];
     }
     switch ($action)
     {
        case 'saveDataLanguage':
            $return=saveDataLanguage($arr);
            echo $return;
            exit;            
            break;
            
        case 'getLanguages':
            $return=getTranslationByLanguage($arr['language']);
            echo $return;
            exit;            
            break;
            
        case 'export':
            $return=interessentenliste_exportieren($arr);
            echo $return;
            exit;            
            break;
            
        case 'delCustomer':
            $return=del_customer((int)$arr['id']);
            echo $return;
            exit;                        
            break;
            
        case 'delPartner':
            $return=del_partner((int)$arr['id']);
            echo $return;
            exit;                        
            break;
                        
        case 'genLicense':
            $return=genLicense($arr);
            echo $return;
            exit;
            break;
            
        case 'loadCustomers': //Interessentenliste wird neu geladen
            $table_name=$wpdb->base_prefix . 'fv_interessenten';

            $sql="SELECT * FROM $table_name ORDER BY tstamp DESC;";
            $result=$wpdb->get_results($sql);
            $arrTranslation=getTranslations();
            $return=getCustomers($result,$arrTranslation);
            echo $return;
            exit;
            break;
            
        case 'loadPartner': //Partnerliste wird neu geladen
            $table_name=$wpdb->base_prefix . 'fv_partner';

            $sql="SELECT * FROM $table_name ORDER BY tstamp DESC;";
            $result=$wpdb->get_results($sql);
            $arrTranslation=getTranslations();
            $return=getPartner($result,$arrTranslation);
            echo $return;
            exit;
            break;
                        
            
        case 'setDemo': //Eintrag wird aktualisiert
            global $wpdb;
            $table_name=$wpdb->base_prefix.'fv_interessenten';
            $wpdb->update( 
            	$table_name, 
            	array( 
            		'demoversion' => $arr['demo'],
            	), 
            	array( 'id' => $arr['id'] ), 
            	array( 
            		'%s',
            	), 
            	array( '%d' ) 
            );         
            if ($wpdb->rows_affected==1)
            {
                $return='OK';
            }   
            else
            {
                $return ='Error';
            }
            echo $return;
            exit;
            break;

     }
 
}
else
{
    if (!empty($_POST['savePartner']))
    {
        //Partner soll gespeichert werden
        save_partner($_POST);
    }
    
}

add_action('admin_menu','fastviewer_register');

add_action( 'wp_enqueue_scripts', 'my_enqueue' );
add_action('admin_enqueue_scripts',	'admin_scripts' );

if ( !defined( 'WP_LANG_DIR') )
{
    define( 'WP_LANG_DIR', WP_CONTENT_DIR . '/languages' );
}


       
function my_styles() {
wp_register_style( 'default', plugins_url('fastviewer/css/default.css' ));
wp_enqueue_style( 'default' );
}

function my_enqueue() {
    wp_enqueue_script( 'ajaxcontact', plugins_url('fastviewer/js/functions.js') );
    wp_enqueue_script( 'jquery', plugins_url('fastviewer/js/jquery-ui-1.11.4/jquery-ui.js') );     
    wp_enqueue_script( 'mylightbox', plugins_url('fastviewer/js/colorbox/jquery.colorbox-min.js') );   
    wp_localize_script( 'ajaxcontact', 'ajaxcontactajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
    if (checkSite()==true)
    {
        wp_register_style( 'default', plugins_url('fastviewer/css/default.css' ));    
        wp_enqueue_style( 'default' );  
    }
    else
    {
        wp_register_style( 'partner', plugins_url('fastviewer/css/partner.css' ));
        wp_enqueue_style( 'partner' );
    }
    
    wp_register_style( 'colorbox', plugins_url('fastviewer/js/colorbox/colorbox.css' ));
    
      
    wp_enqueue_style('colorbox');    
}


function admin_scripts() {
    wp_enqueue_script( 'ajaxcontact', plugins_url('fastviewer/js/functions.js') );
    wp_enqueue_script( 'myHtmlEditor', "//cdn.ckeditor.com/4.5.5/full/ckeditor.js");
    wp_localize_script( 'ajaxcontact', 'ajaxcontactajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
    if (checkSite()==true)
    {
        wp_register_style( 'default', plugins_url('fastviewer/css/default.css' ));    
        wp_enqueue_style( 'default' );  
    }
    else
    {
        wp_register_style( 'partner', plugins_url('fastviewer/css/partner.css' ));
        wp_enqueue_style( 'partner' );  
    }
    
    wp_register_style( 'colorbox', plugins_url('fastviewer/js/colorbox/colorbox.css' ));    
    wp_enqueue_style('colorbox');
    
}

function fastviewer_register()
{
    
    //Übersetzungen werden ausgelesen
    $arrTranslation=getTranslations();
    
    if (array_key_exists('sb-interessenten',$arrTranslation)) { $prospects= $arrTranslation['sb-interessenten']['translation']; } else { $prospects=''; }
    if (array_key_exists('sb-form-anpassung',$arrTranslation)) { $form= $arrTranslation['sb-form-anpassung']['translation']; } else { $form=''; }
    if (array_key_exists('sb-einstellung',$arrTranslation)) { $settings= $arrTranslation['sb-einstellung']['translation']; } else { $settings=''; }
    if (array_key_exists('sb-sprachen',$arrTranslation)) { $languages= $arrTranslation['sb-sprachen']['translation']; } else { $languages=''; }
    
    add_menu_page('FastViewer','FastViewer','edit_posts','fastviewer','fastviewer_details',plugins_url('fastviewer/images/fastviewer.jpg'),3);
    if (checkSite()==true)
    {
        if (array_key_exists('sb-partners',$arrTranslation)) { $partners= $arrTranslation['sb-partners']['translation']; } else { $partners=''; }
        add_submenu_page('fastviewer','Partner',$partners,'manage_options','fastviewer_partner','fastviewer_partner');    
    }    
    
    add_submenu_page('fastviewer','Interessenten',$prospects,'manage_options','fastviewer_interessenten','fastviewer_interessenten');    
    add_submenu_page('fastviewer','Formularanpassung',$form,'manage_options','fastviewer_formular','fastviewer_formular');
    add_submenu_page('fastviewer','Einstellungen',$settings,'manage_options','fastviewer_einstellungen','fastviewer_einstellungen');
    add_submenu_page('fastviewer','Sprachen',$languages,'manage_options','fastviewer_sprachen','fastviewer_sprachen');
}

//Überprüfung, ob es sich um die FastViewer-Seite handelt
function checkSite()
{
    
    if ($_SERVER['HTTP_HOST']=="fastviewer.com")
    {        
        return true;
    }
    else
    {
        return false;        
    }    
    
}

//Hook wird registriert (Funktionsaufruf, wenn das Plugin aktiviert wird)
register_activation_hook( __FILE__, 'createTable');
function createTable()
{
    global $wpdb;

    //Tabelle wird bei der Aktivierung des Plugins erstellt
    $table_name=$wpdb->base_prefix . 'fv_interessenten';
    $sql="CREATE TABLE $table_name (
        id int(11) NOT NULL AUTO_INCREMENT,
        tstamp int(11) NOT NULL default '0',
        produkt char(3)NOT NULL,
        firma varchar(255) NULL,
        anrede char(4) NOT NULL,        
        vorname varchar(255) NOT NULL,
        nachname varchar(255) NOT NULL,     
        email varchar(255) NOT NULL,        
        lizenznummer varchar(255) NOT NULL,
        lizenznehmer varchar(255) NOT NULL,
        partner_lizenznummer varchar(255) NOT NULL,        
        demoversion char(1) NOT NULL default '1',
        UNIQUE KEY id (id)       
        ) CHARACTER SET utf8 COLLATE utf8_general_ci";
        
          
    require_once(ABSPATH.'wp-admin/includes/upgrade.php');
    
    dbDelta($sql);
    
    //Partnertabelle wird angelegt
    $table_name=$wpdb->base_prefix . 'fv_partner';       
    $sql="CREATE TABLE $table_name (
        id int(11) NOT NULL AUTO_INCREMENT,
        tstamp int(11) NOT NULL default '0',
        firma varchar(255) NULL,                
        ansprechpartner varchar(255) NOT NULL,
        parentkey varchar(255) NOT NULL,
        lizenznummer varchar(255) NOT NULL,
        UNIQUE KEY id (id)       
        ) CHARACTER SET utf8 COLLATE utf8_general_ci";       
    dbDelta($sql);
                
}

function saveDataLanguage($arr)
{
    //Änderungen müssen noch gespeichert werden
    //Standardsprache wird in die Tabelle "wp_options" gespeichert
    $defaultLanguage=substr($arr['standardsprache'],0,2);
    update_option('fastviewer_sprache',array('defaultLanguage'=>$defaultLanguage),true);
    
    $language=substr($arr['language'],0,2);
    $produktIm=$arr['im'];
    $produktSa=$arr['sa'];    
    $btnLblDesktop=utf8_decode($arr['btnDesktop']);
    $btnLblMobile=utf8_decode($arr['btnMobil']);
    $formHeadline=utf8_decode($arr['formHeadline']);
    $mailtext=$arr['mailtext'];
    
    //Sprachdatei wird aktualisiert           
    $xmlFile=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$language.'-content.xml';
    $arrLanguage=array();
    if (file_exists($xmlFile))
    {    
        //Datei existiert
        $content='<?xml version="1.0" encoding="UTF-8"?>
            <FastViewer>
                <items>           
                    <item>
                        <area>BE</area>
                        <suffix>button-anfordern-desktop</suffix>
                        <title>Jetzt anfordern</title>
                        <translation>'.htmlspecialchars(utf8_decode($btnLblDesktop)).'</translation>        
                    </item>  
                    
                    <item>
                        <area>BE</area>
                        <suffix>button-anfordern-mobil</suffix>
                        <title>Jetzt anfordern</title>
                        <translation>'.htmlspecialchars(utf8_decode($btnLblMobile)).'</translation>        
                    </item>   
                    
                    <item>
                        <area>BE</area>
                        <suffix>fv-produkt-im</suffix>
                        <title>Online-Meetings &amp; Web-Konferenzend</title>
                        <translation>'.htmlspecialchars(utf8_decode($produktIm)).'</translation>        
                    </item>     
                    
                    <item>
                        <area>BE</area>
                        <suffix>fv-produkt-sa</suffix>
                        <title>Fernwartung &amp; Remote-Supports</title>
                        <translation>'.htmlspecialchars(utf8_decode($produktSa)).'</translation>        
                    </item>       
                      
                    
                    <item>
                        <area>BE</area>
                        <suffix>fv-form-headline</suffix>
                        <title>Kostenfrei &amp; unverbindlich testen</title>
                        <translation>'.htmlspecialchars(utf8_decode($formHeadline)).'</translation>        
                    </item>                                                  
                </items>
            </FastViewer>                
        ';
        
        //Inhalt wird in UTF-8 konvertiert
        $content = mb_convert_encoding($content, 'UTF-8');
        //Inhalt wird in Datei geschrieben
       file_put_contents($xmlFile,$content);

    }
    
    //E-Mail-Text wird in Datei geschrieben
    $file=WP_CONTENT_DIR.'/plugins/fastviewer/emailvorlagen/'.$language.'.txt';
    if (file_exists($file))
    {
        //Datei existiert
        file_put_contents($file,$mailtext);
    }
    return 'OK';
}

function fastviewer_sprachen()
{
    //Verfügbare Sprachen werden ermittelt
    $arr=getAvailableLanguages();
    
    //Übersetzungen werden ermittelt
    $arrTranslation=getTranslations();  
        
    $selSprachauswahl='';
    $selStandarsprache='';
    if (COUNT($arr) > 0)
    {
        //Mindestens 1 Sprache ist verfügbar
        $selSprachauswahl='<select id="selSprachauswahl" name="selSprachauswahl" onchange="getLanguages(this.value);">
            <option value="">';
            if (array_key_exists('global-auswahl-auswaehlen',$arrTranslation)) { $selSprachauswahl.=$arrTranslation['global-auswahl-auswaehlen']['translation']; }
            
           $selSprachauswahl.='</option>
        ';
        $selStandardsprache='<select id="selStandardsprache" name="selStandardsprache">
        ';        

        foreach ($arr AS $language)
        {
            switch ($language['filename'])
            {
                case 'languages':
                    //Dateien wird übersprungen
                    
                    break;
                    
                default:
                    if (strpos($language['filename'],'-content')===false)
                    {
                        //Es werden nur Sprachdateien mit den Länderkürzel .xml berücksichtigt
                        $selStandardsprache.='<option value="'.$language['filename'].'">'.$language['filename'].'</option>';
                        $selSprachauswahl.='<option value="'.$language['filename'].'">'.$language['filename'].'</option>';
                    }                    
            }
        }
        $selSprachauswahl.='</select>';
        $selStandardsprache.='</select>';
    }
    
    $options=get_option('fastviewer_sprache');
    
    $classDe='sprachauswahl';
    
    $sprache='de';
    if (isset($_GET['lang']))
    {
        switch ($_GET['lang'])
        {
            case 'en':                
                $classEn='sprachauswahl';
                $classDe='';
                $sprache="en";
                break;
                
            default:
                $classDe='sprachauswahl';
                $classEn='';
                $sprache='de';
        }
        
    }

    ?>
    <div class="wrap" id="divSprachen">
        <h2><?php if (array_key_exists('fv-sprachen-hl',$arrTranslation)) { echo $arrTranslation['fv-sprachen-hl']['translation']; } ?></h2>
        <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">            
            <h3><?php if (array_key_exists('fv-sprachen-sl-einstellungen',$arrTranslation)) { echo $arrTranslation['fv-sprachen-sl-einstellungen']['translation']; } ?></h3>
            <table border="0">
                <tr>
                    <td width="30px" align="center">
                        <label for="spracheDeutsch"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>&lang=de"><img class="<?php echo $classDe; ?>" src="<? echo plugins_url('fastviewer/images/flag_germany.png'); ?>" alt="Deutsch" title="Deutsch" /></label>
                    </td>
                    
                    <td width="30px" align="center">
                        <label for="spracheEnglish"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>&lang=en"><img class="<?php echo $classEn; ?>" src="<? echo plugins_url('fastviewer/images/flag_usa.png'); ?>" alt="English" title="English" /></a></label>
                    </td>
                </tr>
                
                <!--
                <tr>
                    <td width="30px" align="center">
                        <input type="radio" name="sprache" id="spracheDeutsch"<?php echo $selDe; ?>/>
                    </td>
                    <td width="30px" align="center">
                        <input type="radio" name="sprache"  id="spracheEnglish"<?php echo $selEn; ?> />
                    </td>
                </tr>    
                -->    
                        
            </table>

        <!--
            <h3><?php if (array_key_exists('fv-sprachen-sl-uebersetzungen',$arrTranslation)) { echo $arrTranslation['fv-sprachen-sl-uebersetzungen']['translation']; } ?></h3>
            <div id="divSprachauswahl">
                <label for="sprachauswahl"><?php if (array_key_exists('fv-sprachen-sprachauswahl',$arrTranslation)) { echo $arrTranslation['fv-sprachen-sprachauswahl']['translation']; } ?></label><br />
                <?php echo $selSprachauswahl; ?>
            </div>
            -->
            <div id="divUebersetzungen">
                <?php echo getTranslationByLanguage($sprache,$arrTranslation); ?>
            </div>
           
            <div id="divStandardsprache" style="margin-top:15px;">
                <label for="fastviewer_einstellungen[standardsprache]"><?php if (array_key_exists('fv-sprachen-standardsprache',$arrTranslation)) { echo $arrTranslation['fv-sprachen-standardsprache']['translation']; } ?></label><br />
                <?php echo $selStandardsprache; ?>
            </div>
            <div id="divLanguageMessage">Die Daten wurden erfolgreich gespeichert</div>
            <p class="submit">
                <input type="button" name="btnSaveContentLanguage" class="button-primary" value="<?php if (array_key_exists('global-button-speichern',$arrTranslation)) { echo $arrTranslation['global-button-speichern']['translation']; } ?>" onclick="saveDataLanguage('<? echo $sprache; ?>');" />
                <span id="spnWait" style="display:none"><img src="<?php echo plugins_url('fastviewer/images/ajax-loader.gif'); ?>" /></span>
            </p>
        </form>
    </div>
    
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var language='';

            editor=CKEDITOR.replace( 'licensemail', {
                language: tmpLanguage,
                uiColor: '#9AB8F3',  
                height:350,                                               
            });
            
     		editor.on( 'configLoaded', function() {
                // Toolbar configuration generated automatically by the editor based on config.toolbarGroups.
                editor.config.toolbar =[
    			//	{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align','styles'], items: [ 'Bold','Italic','Underline', '-','NumberedList', 'BulletedList','-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight','JustifyBlock','-','Link','Unlink','Image','-', 'TextColor','FontSize','Styles','Format','Maximize'] },
                    { name: 'basicstyles', items: [ 'Bold', 'Italic','-', 'Underline'] },
                    { name: 'paragraph', items: [ 'NumberedList', 'BulletedList'] },
                    { name: 'paragraph', items: [  'JustifyLeft', 'JustifyCenter', 'JustifyRight','JustifyBlock'] },
                    { name: 'links', items: [ 'Link', 'Unlink'] },
                    { name: 'insert', items: [ 'Image','HorizontalRule','SpecialChar'] },
                    { name: 'styles', items: [ 'TextColor','FontSize', 'Format','Styles'] },
                    { name: 'document', items: [ 'Source'] },
                    { name: 'tools', items: [ 'Maximize'] },
                ];

        });

        });
    </script>
    

            
<?php       
}


function replace_xml($content)
{
    $replace1=array('&','\'', '<','>','"');
    $replace2=array('&amp;','&apos;','&lt;','&gt;','&quot;');
        
    $content  = str_replace($replace1,$replace2,$content);
    echo "Content<: ".$content;
    return $content;
}

function getAvailableLanguages()
{
    $arrLanguages=array();
    //Ordner Languages wird ausgelesen
    $folder=WP_CONTENT_DIR.'/plugins/fastviewer/languages/';
    
    if (is_dir($folder))
    {
		//Verzeichnis wird ausgelesen
		$handle =  opendir($folder); 
			
		while ($datei = readdir($handle)) 
		{ 

			if ($datei != "." && $datei != "..") 
			{ 
				if (is_file($folder.$datei))
				{ 						
				    $pathinfo=pathinfo($folder.$datei);
					$arrLanguages[]=array(
						'path'=>$folder.$datei,
						'file'=>$datei,
                        'filename'=>$pathinfo['filename'],																		
					);							
				}
			}
		} 
				
		closedir($handle); 			
        
    }
    
    return $arrLanguages;
}

function getCustomers($res,$arrTranslation)
{
    
    $customers='<table class="wp-list-table widfat fixed" width="100%">
            <th scope="cl" id="loeschen" class="" style="width:20px"></th>
            <th scope="cl" id="erstellungsdatum" class=""><span>';
            if (array_key_exists('fv-interessenten-erstellungsdatum',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-erstellungsdatum']['translation']; }
    $customers.='</span></th>
            <th scope="cl" id="lizenznummer-partner" class=""><span>';
            if (array_key_exists('fv-interessenten-lizenznummer-partner',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-lizenznummer-partner']['translation']; }
    $customers.='</span></th>
    
            <th scope="cl" id="lizenznummer" class=""><span>';
            if (array_key_exists('fv-interessenten-lizenznummer',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-lizenznummer']['translation']; }
    $customers.='</span></th>
            <th scope="cl" id="produkt" class=""><span>';
            if (array_key_exists('fv-interessenten-produkt',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-produkt']['translation']; }
    $customers.='</span></th>                    
            <th scope="cl" id="lizenznehmer" class=""><span>';
            if (array_key_exists('fv-interessenten-lizenznehmer',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-lizenznehmer']['translation']; }
    $customers.='</span></th>
            <th scope="cl" id="demoversion" class="" style="text-align:center"><span>';
            if (array_key_exists('fv-interessenten-demo',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-demo']['translation']; }
    $customers.='</span></th>';

            if (count($res) > 0)
            {                 
                $i=1;
                //Mindestens 1 Datensatz ist vorhanden                    
                foreach ($res AS $row)
                {
                    (($i % 2)==0) ? $class='rowodd' :  $class='roweven';
                    $chkDemo='';
                    if ((int)$row->demoversion==1)
                    {
                        $chkDemo=' checked="checked"';
                    }
                    //Produkt wird ermittelt 
                    $produkt='';
                    switch ($row->produkt)
                    {
                        case 'im'://Instant Meeting
                            $produkt='Instant Meeting (1:100)';
                            break;
                            
                        case 'sa': //Secure Advisor
                            $produkt='Secure Advisor (1:2)';
                            break;    
                            
                        case 'aio':
                            $produkt='Instant Meeting (1:100) + remote option (1:10)';
                            break;
                    }                                      
                    
                    if ($row->lizenznehmer!="")
                    {
                        $lizenznehmer=$row->lizenznehmer;
                    }
                    else
                    {
                        $lizenznehmer=ucfirst($row->anrede).' '.$row->vorname.' '.$row->nachname;
                    }
                                    
                    $customers.= '<tr class="'. $class .'"><td width="20px"><a href="javascript:void(0);" onclick="delCustomerPrepare('.$row->id.');"><img src="'.plugins_url('fastviewer/images/delete.gif').'" alt="';
                    if (array_key_exists('global-icon-loeschen',$arrTranslation)) { $customers.= $arrTranslation['global-icon-loeschen']['translation']; }
                    $customers.='" title="';
                    if (array_key_exists('global-icon-loeschen',$arrTranslation)) { $customers.= $arrTranslation['global-icon-loeschen']['translation']; }
                    $customers.='" /></a></td><td width="20%">'.date("d.m.Y H:i",$row->tstamp).' Uhr</td><td width="20%">'.$row->partner_lizenznummer.'</td><td width="20%">'.$row->lizenznummer.'</td><td>'.$produkt.'</td><td width="30%">'.$lizenznehmer.'</td><td width="10%" align="center"><input type="checkbox" id="chkDemo" onclick="setDemo(this,'.$row->id.');"'.$chkDemo.' /></td><td width="15%" align="right"><a href="'.$_SERVER['REQUEST_URI'].'&details='.$row->id.'" target="_self" >';
                    if (array_key_exists('fv-interessenten-details',$arrTranslation)) { $customers.= $arrTranslation['fv-interessenten-details']['translation']; }
                    $customers.='</a></td></tr>';
                    $i++;
                }                    
            }
            else
            {
                //Es ist noch kein Datensatz vorhanden
                $customers.='<tr><td colspan="5">Es ist noch kein Interessent vorhanden</td></tr>';
            }
            
       $customers.='</table>';
       
       return $customers;    
}


function getPartner($res,$arrTranslation)
{
    
    $partner='<table class="wp-list-table widfat fixed" width="100%">
            <th scope="cl" id="loeschen" class="" style="width:20px"></th>
            <th scope="cl" id="partnername" class=""><span>';
            if (array_key_exists('fv-partner-firma',$arrTranslation)) { $partner .= $arrTranslation['fv-partner-firma']['translation']; }
    $partner.='</span></th>
            <th scope="cl" id="parentkey" class=""><span>';
            if (array_key_exists('fv-partner-parentkey',$arrTranslation)) { $partner.= $arrTranslation['fv-partner-parentkey']['translation']; }
    $partner.='</span></th>    
            <th scope="cl" id="lizenznummer" class=""><span>';
            if (array_key_exists('fv-partner-lizenznummer',$arrTranslation)) { $partner.= $arrTranslation['fv-partner-lizenznummer']['translation']; }
    $partner.='</span></th>';


            if (count($res) > 0)
            {                 
                $i=1;
                //Mindestens 1 Datensatz ist vorhanden                    
                foreach ($res AS $row)
                {
                    (($i % 2)==0) ? $class='rowodd' :  $class='roweven';
             
                    $partner.= '<tr class="'. $class .'"><td width="20px"><a href="javascript:void(0);" onclick="delPartnerPrepare('.$row->id.');"><img src="'.plugins_url('fastviewer/images/delete.gif').'" alt="';
                    if (array_key_exists('global-icon-loeschen',$arrTranslation)) { $partner.= $arrTranslation['global-icon-loeschen']['translation']; }
                    $partner.='" title="';
                    if (array_key_exists('global-icon-loeschen',$arrTranslation)) { $partner.= $arrTranslation['global-icon-loeschen']['translation']; }
                    $partner.='" /></a></td><td width="20%">'.$row->firma.'</td><td>'.$row->parentkey.'</td><td>'.$row->lizenznummer.'</td>';                    
                    $partner.='</td></tr>';
                    $i++;
                }                    
            }
            else
            {
                //Es ist noch kein Datensatz vorhanden
                $partner.='<tr><td colspan="5">Es ist noch kein Partner vorhanden</td></tr>';
            }
            
       $partner.='</table>';
       
       return $partner;    
}


function fastviewer_interessenten()
{
    global $wpdb;
    
    $arrTranslation=getTranslations();
    //Zeitzone setzen
    date_default_timezone_set('Europe/Berlin');
        
    $options=get_option('fastviewer_formular');

    //Interessenten die die Demo-Version angefordert haben werden ausgelesen
    $table_name=$wpdb->base_prefix . 'fv_interessenten';
    $viewDetails=false;
    if (isset($_GET['details']))
    {
        $id=(int)$_GET['details'];
        $sql='SELECT * FROM '.$table_name.' WHERE id = %d';        
        $result=$wpdb->get_row($wpdb->prepare($sql,$id));
        $viewDetails=true;        
    }
    else
    {
        $sql="SELECT * FROM $table_name ORDER BY tstamp DESC;";
        $result=$wpdb->get_results($sql);
        
    }
    
    if ($viewDetails==false)
    {
    ?>
    
        <h1><?php if (array_key_exists('fv-interessenten-hl',$arrTranslation)) { echo $arrTranslation['fv-interessenten-hl']['translation']; } ?></h1>
        <?php        
            if (count($result) > 0)
            {
             ?>   
                <div class="clsTopform" id="divTopform" style="display: none;">
                    <div class="clsForm" id="divForm" style="width: 900px;"></div>
                </div>
                <form id="frmExport" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                    <div class="btnExportdatei">
                        <input type="button" name="export" id="export" value="<?php if (array_key_exists('fv-interessenten-export',$arrTranslation)) { echo $arrTranslation['fv-interessenten-export']['translation']; } ?>" onclick="daten_exportieren();" />
                        <span id="spnWaitExport" style="display: none;"><img src="<?php echo plugins_url('fastviewer/images/ajax-loader.gif'); ?>" /></span>
                    </div>
                    <div id="divLink" style="display:none;">
                        Link zur Exportdatei
                    </div>
                </form>
            <?php
            }
              
        ?>
        <div class="fv-container" id="myCustomers">
        <?php
            echo getCustomers($result,$arrTranslation);
        ?>
       
        </div>
    <?php
    }
    else
    {
        ?>
        <h1><?php if (array_key_exists('fv-interessenten-detailansicht-hl',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-hl']['translation']; } ?></h1>
        <?php
        //Detailansicht wird aufgebaut
        $connections='';
        if (count($result) >0)
        {
            $image_sa='star_grey.png';
            $image_im='star_grey.png';
            $lblRoom='';
            $lblParticipants='';
            if (array_key_exists('global-item-raum',$arrTranslation)) { $lblRoom=$arrTranslation['global-item-raum']['translation']; }
            if (array_key_exists('global-item-teilnehmer',$arrTranslation)) { $lblParticipants=$arrTranslation['global-item-teilnehmer']['translation']; }
            switch ($result->produkt)
            {
                case 'sa':
                    $image_sa='star_yellow.png';
                    $connections='1 '.$lblRoom.' : 2 '.$lblParticipants;
                    break;
                    
                case 'im':
                    $image_im='star_yellow.png';
                    $connections='1 '.$lblRoom.' : 100 '.$lblParticipants;
                    break;
                    
                case 'aio':
                    $image_im='star_yellow.png';
                    $connections='1 '.$lblRoom.' : 100 '.$lblParticipants;               
                    break;
            }
            
            ?>
            <div class="fv-container">
                <div class="roweven">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-lizenznummer',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-lizenznummer']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo $result->lizenznummer; ?></span></div>
                    <div class="clear"></div>
                </div>
                <div class="rowodd">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-edition',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-edition']['translation']; } ?></div>
                    <div class="floatLeftText editionContainer">
                        <div class="edition2012"><span>Secure Advisor</span>
                            <div class="spacer"></div>
                            <?php $imgUrlSa='fastviewer/images/'. $image_sa; $imgUrlIm='fastviewer/images/'. $image_im; ?>
                            <img src="<?php echo plugins_url($imgUrlSa); ?>" />
                        </div>
                        <div class="edition2012"><span>Instant Meeting</span>
                            <div class="spacer"></div>
                            <img src="<?php echo plugins_url($imgUrlIm); ?>" />
                        </div>
                    </div>
                    <div class="clear"></div>
                </div>
                <div class="roweven">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-ad-hoc',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-ad-hoc']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo $connections; ?></span></div>
                    <div class="clear"></div>
                </div>
                
                <?php
                $i=0;
                switch ($result->produkt)
                {
                    case 'sa':
                    case 'aio':
                        $i++;
                        ?>
                        <div class="rowodd">
                            <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-remote',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-remote']['translation']; } ?></div>
                            <div class="floatLeftText"><span>100 Clients</span></div>
                            <div class="clear"></div>
                        </div>
                        
                        <?php
                        break;
                        
                    default:
                    
                }
                 
                ?>
                                
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-erstellungsdatum',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-erstellungsdatum']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo date("d.m.Y H:i",$result->tstamp).' Uhr'; ?></span></div>
                    <div class="clear"></div>
                </div>
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                <?php
                    
                    if ($result->lizenznehmer!="")
                    {
                        $lizenznehmer=$result->lizenznehmer;
                    }
                    else
                    {
                        $lizenznehmer=$result->anrede.' '.$result->vorname.' '.$result->nachname;
                    }
                ?>
                
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-lizenznehmer',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-lizenznehmer']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo $lizenznehmer; ?>&nbsp;</span></div>
                    <div class="clear"></div>
                </div>

                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-ap',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-ap']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo ucfirst($result->anrede). ' '. ucfirst($result->vorname).' '.ucfirst($result->nachname); ?></span></div>
                    <div class="clear"></div>
                </div>
                <?php
                if (isset($options['auswahlStrasse']))
                {
                ?>                
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-strasse',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-strasse']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo ucfirst($result->strasse); ?></span></div>
                    <div class="clear"></div>
                </div>
                <?php
                }
                ?>          

                <?php
                if (isset($options['auswahlPlz']))
                {
                ?>                 
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-plz',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-plz']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo $result->plz; ?></span></div>
                    <div class="clear"></div>
                </div>  
                <?php
                }
                ?>     
                
                <?php
                if (isset($options['auswahlOrt']))
                {
                ?>                 
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-ort',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-ort']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo ucfirst($result->ort); ?></span></div>
                    <div class="clear"></div>
                </div>   
                <?php
                }
                ?>                
                
                <?php
                if (isset($options['auswahlTelefon']))
                {
                ?> 
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-telefon',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-telefon']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo $result->telefon; ?></span></div>
                    <div class="clear"></div>
                </div>  
                <?php
                }
                ?>                              
                
                <?php
                if (isset($options['auswahlMobol']))
                {
                ?>                 
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-mobil',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-mobil']['translation']; } ?></div>
                    <div class="floatLeftText"><span><?php echo ucfirst($result->mobil); ?></span></div>
                    <div class="clear"></div>
                </div>  
                <?php
                }
                ?>               
                                                
                <div class="<?php echo (($i % 2)==0) ? 'rowodd' :  'roweven';$i++; ?>">
                    <div class="floatLeftBold width50p"><?php if (array_key_exists('fv-interessenten-detailansicht-email',$arrTranslation)) { echo $arrTranslation['fv-interessenten-detailansicht-email']['translation']; } ?></div>
                    <div class="floatLeftText"><span><a href="mailto:<?php echo $result->email; ?>"><?php echo $result->email; ?></a></span></div>
                    <div class="clear"></div>
                </div>
                <?php
                    if (isset($_POST['sendLicenseMail']))
                    {
                        //Lizenzemail soll versendet werden
                        $lnr=trim($_POST['lnr']);
                        $table_name=$wpdb->base_prefix.'fv_interessenten';
                        //Eintrag mit der Lizenznummer wird aus der Datenbank gelesen
                        $sql='SELECT * FROM '.$table_name.' WHERE lizenznummer = %s';        
                        $result=$wpdb->get_row($wpdb->prepare($sql,$lnr));
                        
                        if (COUNT($result) > 0)
                        {
                            //var_dump($result);
                            //Eintrag wurde gefunden
                            //Lizenzemail wird versendet
                            require_once(plugins_url('fastviewer/nusoap/lib/nusoap.php'));
                            
                            $client = new \nusoap_client(WSDL_URL,true);
                            $client->soap_defencoding = 'UTF-8';
                            $client->decode_utf8 = false;
                            
                            $produkt='';
                            switch ($result->produkt)
                            {
                                case 'sa':
                                    $produkt='Secure Advisor (1:2) - (1:100)';
                                    break;
                                    
                                case 'im':
                                    $produkt='Instant Meeting (1:100)';
                                    break;
                            }
                            $arr=array();        
                            $arr['anrede']=$result->anrede;
                            $arr['vorname']=$result->vorname;
                            $arr['nachname']=$result->nachname;
                            $arr['lizenznehmer']=$result->lizenznehmer;    
                            $arr['produkt']=$result->produkt;        
                            genLicenseMail($result->lizenznummer,$arr,$produkt,$client);                            
                        }
    
                    }
                
                ?>
                <div class="footer-button">
                    <div><input type="button" class="btnBack" value="<?php if (array_key_exists('global-button-zurueck',$arrTranslation)) { echo $arrTranslation['global-button-zurueck']['translation']; } ?>" onclick="history.back();" /></div>
                    <div class="clear"></div>
                </div>       
            </div>         
                
                


            <?php
            
        }
        else
        {
            //Es wurde kein Eintrag gefunden
            return 'Error';
        }
    }   
    
    
}


function del_customer($id)
{

    if ($id == 0)
    {
        return 'Error';
    }    

    global $wpdb;
    //Tabellenname wird ermittelt
    $table_name=$wpdb->base_prefix . 'fv_interessenten'; 
    
    //Ausgewählter Datensatz wird gelöscht
    $wpdb->delete($table_name, array('id' => $id));
    if ($wpdb->rows_affected==1)
    {
        //1 Betroffener Datensatz. Löschvorgang erfolgreich
        return 'OK';
    }
    else
    {
        //Datensatz konnte nicht gelöscht werden
        return 'Error';
    }
    
    
}

function save_partner($arr)
{
    //Daten werden in die Datenbank geschrieben
    global $wpdb;
    
    $parentkey=(string)$arr['parentkey'];
    $license=(string)$arr['lizenznummer'];
    $firma=(string)$arr['firma'];
    $wpdb->insert(
        $wpdb->base_prefix.'fv_partner',
        array(
            'tstamp'=>time(),                            
            'firma'=>$firma,
            'parentkey'=>$parentkey,
            'lizenznummer'=>$license,
        ),
        array(
            '%d',
            '%s',
            '%s',
            '%s',            
        )
    );    

    return;

}

function fastviewer_partner()
{
global $wpdb;
    
    $arrTranslation=getTranslations();
    //Zeitzone setzen
    date_default_timezone_set('Europe/Berlin');
        
    

    //Partner werden ausgelesen
    $table_name=$wpdb->base_prefix . 'fv_partner';

    $sql="SELECT * FROM $table_name ORDER BY tstamp DESC;";
    $result=$wpdb->get_results($sql);
        


    ?>
    
        <h1><?php if (array_key_exists('fv-partners-hl',$arrTranslation)) { echo $arrTranslation['fv-partners-hl']['translation']; } ?></h1>


        <div class="clsPartner">
            <form id="frmNewPartner" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                <div class="btnNewPartner">
                    <input type="button" name="newPartner" id="newPartner" value="<?php if (array_key_exists('fv-partner-new',$arrTranslation)) { echo $arrTranslation['fv-partner-new']['translation']; } ?>" onclick="jQuery('#savePartner').show();jQuery('#frmNewPartner').hide()" />
                    <span id="spnWaitExport" style="display: none;"><img src="<?php echo plugins_url('fastviewer/images/ajax-loader.gif'); ?>" /></span>
                </div>
            </form>
            
            <div id="savePartner">
                <form id="frmSavePartner" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post"> 
                    <div>
                        <label><?php if (array_key_exists('fv-partner-firma',$arrTranslation)) { echo $arrTranslation['fv-partner-firma']['translation']; } ?>*</label><br />
                        <input type="text" name="firma" value="" required="" autocomplete="off" />
                    </div>
                    <div>
                        <label><?php if (array_key_exists('fv-partner-parentkey',$arrTranslation)) { echo $arrTranslation['fv-partner-parentkey']['translation']; } ?>*</label><br />
                        <input type="text" name="parentkey" value="" required="" autocomplete="off" />
                    </div>
                    <div>
                        <label><?php if (array_key_exists('fv-partner-lizenznummer',$arrTranslation)) { echo $arrTranslation['fv-partner-lizenznummer']['translation']; } ?>*</label><br />
                        <input type="text" name="lizenznummer" value="" required="" autocomplete="off" />
                    </div>
                    <div class="divSavePartner">
                        <input type="button" name="cancelPartner" id="btnCancelPartner" value="<?php if (array_key_exists('fv-partner-cancel',$arrTranslation)) { echo $arrTranslation['fv-partner-cancel']['translation']; } ?>" onclick="jQuery('#savePartner').hide();jQuery('#frmNewPartner').show()" />                       
                        &nbsp;&nbsp;&nbsp;
                        <input type="submit" name="savePartner" id="btnSavePartner" value="<?php if (array_key_exists('fv-partner-save',$arrTranslation)) { echo $arrTranslation['fv-partner-save']['translation']; } ?>" />
                    </div>
                </form>            
            </div>            
        </div>
        
        <div class="fv-container" id="myPartners">
        <?php
            echo getPartner($result,$arrTranslation);
        ?>
       
        </div>
    <?php

      
        
    
}



function del_partner($id)
{

    if ($id == 0)
    {
        return 'Error';
    }    

    global $wpdb;
    //Tabellenname wird ermittelt
    $table_name=$wpdb->base_prefix . 'fv_partner'; 
    
    //Ausgewählter Datensatz wird gelöscht
    $wpdb->delete($table_name, array('id' => $id));
    if ($wpdb->rows_affected==1)
    {
        //1 Betroffener Datensatz. Löschvorgang erfolgreich
        return 'OK';
    }
    else
    {
        //Datensatz konnte nicht gelöscht werden
        return 'Error';
    }
    
    
}

function interessentenliste_exportieren()
{
    global $wpdb;
    
    //Zeitzone setzen
    date_default_timezone_set('Europe/Berlin');
    
    //Interessenten die die Demo-Version angefordert haben werden ausgelesen
    $table_name=$wpdb->base_prefix . 'fv_interessenten';
        
    $sql="SELECT * FROM $table_name ORDER BY tstamp DESC;";
    $objData=$wpdb->get_results($sql);
    
    $arrInteressenten=array();
    if (count($objData) > 0)
    {                    
        //Mindestens 1 Datensatz ist vorhanden                    
        foreach ($objData AS $row)
        {
            $produkt='';
            switch ($row->produkt)
            {
                case 'im'://Instant Meeting
                    $produkt='Instant Meeting (1:100)';
                    break;
                    
                case 'sa': //Secure Advisor
                    $produkt='Secure Advisor (1:2)';
                    break;    
                    
                case 'aio':
                    $produkt='Instant Meeting (1:100) + remote option (1:10)';
                    break;
            }            
              $arrInteressenten[]=array(
                  'erstellungsdatum'=>$row->tstamp,
                  'partner_lizenznummer'=>$row->partner_lizenznummer,
                  'lizenznummer'   => $row->lizenznummer,
                  'lizenznehmer' => $row->lizenznehmer,
                  'produkt'=>$produkt,
                  'firma'=>$row->firma,
                  'anrede'=>$row->anrede,
                  'vorname'=>$row->vorname,
                  'nachname'=>$row->nachname,
                  'email'=>$row->email,                      
            );
            
        }                    
    }    
    
    $dir=WP_CONTENT_DIR.'/plugins/fastviewer/export/';
    //Dateien aus dem Verzeichnis werden zunächst gelöscht
    //überprüfen ob das Verzeichnis überhaupt existiert
    if (is_dir($dir)) 
    {
        //Ordner öffnen zur weiteren Bearbeitung
        if ($dh = opendir($dir)) {
            //Schleife, bis alle Dateien im Verzeichnis ausgelesen wurden
            while (($file = readdir($dh)) !== false) {            
                if ($file!="." AND $file !="..") {
                    //Dateien vom Server entfernen
                    unlink($dir.$file);
                }
            }
            //geöffnetes Verzeichnis wieder schließen
            closedir($dh);
        }
    }    
    
    $file=time();
    $path=$dir.$file.'.csv';
       $fp = fopen($path, 'w');

        $y=0;
        
        $options=get_option('fastviewer_formular');
        $headlineCompany='';
        
        $headlineCompany='Firma;';

        $line="Erstellungsdatum;Lizenznummer (Partner);Lizenznummer (Interessent);Lizenznehmer;Produkt;Firma;Anrede;Vorname;Nachname;E-Mail".chr(13);
        fputs($fp,$line);
        
        if (COUNT($arrInteressenten) >0)
        {
            foreach ($arrInteressenten as $line) {            
               $zeile=date("d.m.Y H:i",$line['erstellungsdatum']) .' Uhr;'.$line['partner_lizenznummer'].';'.$line['lizenznummer'].';'.$line['lizenznehmer'].';'.$line['produkt'].';'.$line['firma'].';'.$line['anrede'].';'.$line['vorname'].';'.$line['nachname'].';'.$line['email'] . chr(13);

              fputs($fp,  $zeile);
           
                $y++;
           }            
        }
     
      fclose($fp);


    if (is_file($path))
    {
        //Ist eine Datei
        $pfad=plugins_url('fastviewer/export/'.$file.'.csv');
        $return='<a id="aLink" href="'.$pfad.'">Exportdatei</a>';
        return $return;
    }
    else
    {        
        //Ist keine Datei
        return 'Error';
    }
  
}


function fastviewer_details ()
{
    $arrTranslation=getTranslations();
    ?>
    <div class="wrap">    
        <table border="0">
            <tr>
                <td colspan="2"><a href="http://www.fastviewer.com" target="_blank"><img src="<?php echo plugins_url('fastviewer/images/fastviewer.png'); ?>" title="FastViewer GmbH" alt="FastViewer GmbH" /></a></td>
            </tr>
            <tr>
                <td width="100px"><?php if (array_key_exists('fv-plugin-name',$arrTranslation)) { echo $arrTranslation['fv-plugin-name']['translation']; } ?></td>
                <td>FastViewer - Lizenz Generator</td>
            </tr>
            
            <tr>
                <td valign="top"><?php if (array_key_exists('fv-sc',$arrTranslation)) { echo $arrTranslation['fv-sc']['translation']; } ?></td>
                <td><strong>[fastviewer-formular]</strong><br /><i><?php if (array_key_exists('fv-sc-formular',$arrTranslation)) { echo $arrTranslation['fv-sc-formular']['translation']; } ?></i></td>
            </tr>            
            <tr>
                <td></td>
                <td><strong>[fastviewer-formularbutton]</strong><br /><i><?php if (array_key_exists('fv-sc-formularbutton',$arrTranslation)) { echo $arrTranslation['fv-sc-formularbutton']['translation']; } ?></i></td>
            </tr>  
            
            <tr>
                <td></td>
                <td><strong>[fastviewer-formularlink]</strong><br /><i><?php if (array_key_exists('fv-sc-formularlink',$arrTranslation)) { echo $arrTranslation['fv-sc-formularlink']['translation']; } ?></i></td>
            </tr>             

            <tr>
                <td valign="top"><?php if (array_key_exists('fv-herausgeber',$arrTranslation)) { echo $arrTranslation['fv-herausgeber']['translation']; } ?></td>
                <td>
                    <table border="0">
                        <tr>
                            <td width="70px"><?php if (array_key_exists('fv-herausgeber-firma',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-firma']['translation']; } ?></td>
                            <td>FastViewer GmbH</td>
                        </tr>
                        
                        <tr>
                            <td><?php if (array_key_exists('fv-herausgeber-strasse',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-strasse']['translation']; } ?></td>
                            <td>Schwesterhausgasse 11</td>
                        </tr>
                        
                        <tr>
                            <td><nobr/><?php if (array_key_exists('fv-herausgeber-plz-ort',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-plz-ort']['translation']; } ?></td>
                            <td>D-92318 Neumarkt</td>
                        </tr>       
                        
                        <tr>
                            <td><?php if (array_key_exists('fv-herausgeber-telefon',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-telefon']['translation']; } ?></td>
                            <td>+49 (0) 9181 50956 0 </td>
                        </tr>    
                        
                        <tr>
                            <td><?php if (array_key_exists('fv-herausgeber-fax',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-fax']['translation']; } ?></td>
                            <td>+49 (0) 9181 50956 29 </td>
                        </tr>   
                        
                        <tr>
                            <td><nobr/><?php if (array_key_exists('fv-herausgeber-email',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-email']['translation']; } ?></td>
                            <td><a href="mailto:info@fastviewer.com">info@fastviewer.com</a></td>
                        </tr>   
                        
                        <tr>
                            <td><?php if (array_key_exists('fv-herausgeber-webseite',$arrTranslation)) { echo $arrTranslation['fv-herausgeber-webseite']['translation']; } ?></td>
                            <td><a href="http://www.fastviewer.com" target="_blank">http://www.fastviewer.com</a></td>
                        </tr>                                                                                                           
                                                
                    </table>
                </td>
            </tr>          
                
        </table>        
    </div>
<?php    
}

function fastviewer_einstellungen ()
{
    $options=get_option('fastviewer_einstellungen');

    //Übersetzungen werden ermittelt
    $arrTranslation=getTranslations();
    //Werte für die Signatur werden vorinitialisiert
    $ap='';
    $firma='FastViewer GmbH';
    $strasse='Schwesterhausgasse 11';
    $plz='D-92318';
    $ort='Neumarkt';
    $telefon='+49 (0) 9181 50956 0';
    $telefax='+49 (0) 9181 50956 29';  
    $email='info@fastviewer.com';
    $webseite='http://www.fastviewer.com';        
    
    if (isset($options['sigAnsprechpartner'])) { $ap=$options['sigAnsprechpartner']; }
    if (isset($options['sigFirma'])) { $firma=$options['sigFirma']; }
    if (isset($options['sigStrasse'])) { $strasse=$options['sigStrasse']; }
    if (isset($options['sigPlz'])) { $plz=$options['sigPlz']; }
    if (isset($options['sigOrt'])) { $ort=$options['sigOrt']; }
    if (isset($options['sigTelefon'])) { $telefon=$options['sigTelefon']; }
    if (isset($options['sigTelefax'])) { $telefax=$options['sigTelefax']; }
    if (isset($options['sigEmail'])) { $email=$options['sigEmail']; }
    if (isset($options['sigWebseite'])) { $webseite=$options['sigWebseite']; }
    
    $lizenznummer='';
    $parentkey='';
    $pwd='';
    $chkTestmode=' checked="checked"';
    $template='';

    if (isset($options['parentkey'])) { $parentkey=$options['parentkey']; }
    if (isset($options['passwort'])) { $pwd=$options['passwort']; }

    if (is_array($options))
    {
        $chkTestmode='';
        if (isset($options['testmodus'])) { $chkTestmode=' checked="checked"'; }    
    }
    
    
    $display='block';
    if (checkSite()==true)
    {
        if (isset($options['template'])) { $template=$options['template']; }
        
        $chkTplUnify='';
        $chkTplDefault='';
        switch ($template)
        {
            case 'unify':
                $chkTplUnify=' checked="checked"';
                break;
                
            default:
                $chkTplDefault=' checked="checked"';
        }
    }
    else
    {
        $chkTplDefault=' checked="checked"';
        $display='none';
    }
   
    ?>
    <div class="wrap">
        <h2><?php if (array_key_exists('fv-einstellungen-hl',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-hl']['translation']; } ?></h2>
        <form method="post" action="options.php">
            <?php settings_fields('fastviewer_gruppe_einstellungen'); ?>
            <h3><?php if (array_key_exists('fv-einstellungen-sl-zugangsdaten',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sl-zugangsdaten']['translation']; } ?></h3>

            <div id="divParentkey">
                <label for="fastviewer_einstellungen[parentkey]"><?php if (array_key_exists('fv-einstellungen-zugang-parentkey',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-zugang-parentkey']['translation']; } ?></label><br />
                <input type="text" name="fastviewer_einstellungen[parentkey]" value="<?php echo $parentkey; ?>" autocomplete="off" />     
           </div>
        
            <div id="divPasswort">
                <label for="fastviewer_einstellungen[passwort]"><?php if (array_key_exists('fv-einstellungen-zugang-passwort',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-zugang-passwort']['translation']; } ?></label><br />
                <input type="text" name="fastviewer_einstellungen[passwort]" value="<?php echo $pwd; ?>" autocomplete="off" />
            </div>
           
            <div id="divTestmode">
                <br />
                <input type="checkbox" name="fastviewer_einstellungen[testmodus]" value=""<?php echo $chkTestmode; ?> />&nbsp;<label for="fastviewer_einstellungen[testmodus]"><?php if (array_key_exists('fv-einstellungen-testmodus',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-testmodus']['translation']; } ?></label><br />
           </div>           

            
            <div id="divTemplate" style="display:<?php echo $display ?>;">
                <label><?php if (array_key_exists('fv-einstellungen-vorlagen-email',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-vorlagen-email']['translation']; } ?></label><br />
                <input type="radio" id="templateDefault" name="fastviewer_einstellungen[template]" value="default"<?php echo $chkTplDefault; ?> /><label for="templateDefault">FastViewer</label><br />
                <input type="radio" id="templateUnify" name="fastviewer_einstellungen[template]" value="unify"<?php echo $chkTplUnify; ?> /><label for="templateUnify">Unify</label>
                     
           </div>           
           
           <h3><?php if (array_key_exists('fv-einstellungen-sig-sl-signatur',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-sl-signatur']['translation']; } ?></h3>
            <div id="divSigAnsprechpartner">
                <label for="fastviewer_einstellungen[sigAnsprechpartner]"><?php if (array_key_exists('fv-einstellungen-sig-ap',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-ap']['translation']; } ?></label><br />
                <input type="text" id="sigAnsprechpartner" name="fastviewer_einstellungen[sigAnsprechpartner]" value="<?php echo $ap; ?>" />     
           </div>          
           
            <div id="divSigFirma">
                <label for="fastviewer_einstellungen[sigFirma]"><?php if (array_key_exists('fv-einstellungen-sig-firma',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-firma']['translation']; } ?></label><br />
                <input type="text" id="sigFirma" name="fastviewer_einstellungen[sigFirma]" value="<?php echo $firma; ?>" />     
           </div>       
           
            <div id="divSigStrasse">
                <label for="fastviewer_einstellungen[sigStrasse]"><?php if (array_key_exists('fv-einstellungen-sig-strasse',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-strasse']['translation']; } ?></label><br />
                <input type="text" id="sigStrasse" name="fastviewer_einstellungen[sigStrasse]" value="<?php echo $strasse; ?>" />     
           </div>    
           
            <div id="divSigPlz">
                <label for="fastviewer_einstellungen[sigPlz]"><?php if (array_key_exists('fv-einstellungen-sig-plz',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-plz']['translation']; } ?></label><br />
                <input type="text" id="sigPlz" name="fastviewer_einstellungen[sigPlz]" value="<?php echo $plz; ?>" />     
           </div>                                                   
 
             <div id="divSigOrt">
                <label for="fastviewer_einstellungen[sigOrt]"><?php if (array_key_exists('fv-einstellungen-sig-ort',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-ort']['translation']; } ?></label><br />
                <input type="text" id="sigOrt" name="fastviewer_einstellungen[sigOrt]" value="<?php echo $ort; ?>" />     
           </div>  
           
             <div id="divSigTelefon">
                <label for="fastviewer_einstellungen[sigTelefon]"><?php if (array_key_exists('fv-einstellungen-sig-telefon',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-telefon']['translation']; } ?></label><br />
                <input type="text" id="sigTelefon" name="fastviewer_einstellungen[sigTelefon]" value="<?php echo $telefon; ?>" />     
           </div>          
           
             <div id="divSigTelefax">
                <label for="fastviewer_einstellungen[sigTelefax]"><?php if (array_key_exists('fv-einstellungen-sig-fax',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-fax']['translation']; } ?></label><br />
                <input type="text" id="sigTelefax" name="fastviewer_einstellungen[sigTelefax]" value="<?php echo $telefax; ?>" />     
           </div>       
           
             <div id="divSigEmail">
                <label for="fastviewer_einstellungen[sigEmail]"><?php if (array_key_exists('fv-einstellungen-sig-email',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-email']['translation']; } ?></label><br />
                <input type="text" id="sigEmail" name="fastviewer_einstellungen[sigEmail]" value="<?php echo $email; ?>" />     
           </div>    
           
             <div id="divSigWebseite">
                <label for="fastviewer_einstellungen[sigWebseite]"><?php if (array_key_exists('fv-einstellungen-sig-webseite',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-sig-webseite']['translation']; } ?></label><br />
                <input type="text" id="sigWebseite" name="fastviewer_einstellungen[sigWebseite]" value="<?php echo $webseite; ?>" />     
           </div>                             
           
           <h3><?php if (array_key_exists('fv-einstellungen-email-sl-emailversand',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-email-sl-emailversand']['translation']; } ?></h3>
           <?php
            $zaehler=1;
           ?>
           <div id="divEmailTo">
                <label><?php if (array_key_exists('fv-einstellungen-ev-info',$arrTranslation)) { echo $arrTranslation['fv-einstellungen-ev-info']['translation']; } ?></label>
                <table border="0" id="newFieldTable">
                    <tr>
                        <td><input type="text" name="" value="info@fastviewer.com" disabled="disabled" /></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:createNewItem(this);" name="aAddItem" id="aAddItem-<?php echo $zaehler; ?>"><img class="btnAdd" name="imgAdd" src="<?php echo plugins_url('fastviewer/images/copy.gif') ?>" alt="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" /></a></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:delNewItem(this);" name="aDelItem" id="aDelItem-<?php echo $zaehler; ?>"><img name="imgDel" class="btnDelete" src="<?php echo plugins_url('fastviewer/images/delete.gif') ?>" alt="<?php if (array_key_exists('global-item-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" /></a></td>
                    </tr>
                    <?php

                    if (isset($options['emailTo']))
                    {
                        $zaehler++;
                        if (count($options['emailTo']) > 0)
                        {
                            foreach ($options['emailTo'] AS $email)
                            {
                                if ($email!="")
                                {
                                  ?>
                                    <tr>
                                        <td><input type="text" class="clsItemInput" value="<?php echo $email; ?>" style="float:left" maxlength="" id="emailTo-<?php echo $zaehler; ?>" name="fastviewer_einstellungen[emailTo][]" /></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:createNewItem(this);" name="aAddItem" id="aAddItem-<?php echo $zaehler; ?>"><img class="btnAdd" name="imgAdd" src="<?php echo plugins_url('fastviewer/images/copy.gif') ?>" alt="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" /></a></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:delNewItem(this);" name="aDelItem" id="aDelItem-<?php echo $zaehler; ?>"><img name="imgDel" class="btnDelete" src="<?php echo plugins_url('fastviewer/images/delete.gif') ?>" alt="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" /></a></td>
                                    </tr>                                   
                                  <?php  
                                  $zaehler++;
                                }
                            }
                        }
                        else
                        {
                            //Noch kein Eintrag vorhanden
                            ?>
                            <tr>
                                <td><input type="text" class="clsItemInput" value="" style="float:left" maxlength="" id="emailTo-1" name="fastviewer_einstellungen[emailTo][]" /></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:createNewItem(this);" name="aAddItem" id="aAddItem-1"><img class="btnAdd" name="imgAdd" src="<?php echo plugins_url('fastviewer/images/copy.gif') ?>" alt="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" /></a></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:delNewItem(this);" name="aDelItem" id="aDelItem-1"><img name="imgDel" class="btnDelete" src="<?php echo plugins_url('fastviewer/images/delete.gif') ?>" alt="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" /></a></td>
                            </tr>                            
                            <?php
                        }                     
                        
                    }
                    else
                    {
                        //Noch kein Eintrag vorhanden
                        ?>
                        <tr>
                            <td><input type="text" class="clsItemInput" value="" style="float:left" maxlength="" id="emailTo-1" name="fastviewer_einstellungen[emailTo][]" /></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:createNewItem(this);" name="aAddItem" id="aAddItem-1"><img class="btnAdd" name="imgAdd" src="<?php echo plugins_url('fastviewer/images/copy.gif') ?>" alt="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-neu',$arrTranslation)) { echo $arrTranslation['global-icon-neu']['translation']; } ?>" /></a></td><td><a tabindex="-1" href="javascript:void(0);" onclick="javascript:delNewItem(this);" name="aDelItem" id="aDelItem-1"><img name="imgDel" class="btnDelete" src="<?php echo plugins_url('fastviewer/images/delete.gif') ?>" alt="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" title="<?php if (array_key_exists('global-icon-loeschen',$arrTranslation)) { echo $arrTranslation['global-icon-loeschen']['translation']; } ?>" /></a></td>
                        </tr>                            
                        <?php                           
                    }
                    ?>                

                                        
                </table>
           </div> 
            <?
                //Beschriftung des Buttons wird ermittelt
                if (array_key_exists('global-button-speichern',$arrTranslation)) 
                { 
                    $btnLabel=$arrTranslation['global-button-speichern']['translation']; 
                }
            ?>  
            <p class="submit">
                <input type="submit" class="button-primary" value="<?php echo $btnLabel; ?>" />
            </p>
        </form>
    </div>
<?php    
}

function fastviewer_formular ()
{

    $options=get_option('fastviewer_formular');
    
    $arrTranslation=getTranslations();
    $chkAuswahlFirma='';
    
    $chkPflichtFirma=''; 
    
    $chkAuswahlPlatzhalter='';
    
    $lblBtnDesktop='30-tägige Testversion jetzt kostenlos anfordern';    
    $lblBtnMobile='Jetzt kostenlos anfordern';
    
    if (isset($options['pflichtFirma'])) { $chkPflichtFirma=' checked="checked"'; }
    
    if (isset($options['lblBtnDesktop'])) { $lblBtnDesktop=$options['lblBtnDesktop']; }
    if (isset($options['lblBtnMobile'])) { $lblBtnMobile=$options['lblBtnMobile']; }

    //Produktnamen werden ermittelt
    $produktIm='Instant Meeting';
    $produktSa='Secure Advisor';
    $chkServer='';
    
    $chkIm='';
    $chkSa='';
    $chkAio='';
    
    $keinJsFormularseite='';
    
    if (isset($options['produkt_im'])) { $produktIm=$options['produkt_im']; }
    if (isset($options['produkt_sa'])) { $produktSa=$options['produkt_sa']; }
    
    if (isset($options['auswahlProduktIm'])) { $chkIm=' checked="checked"'; }
    if (isset($options['auswahlProduktSa'])) { $chkSa=' checked="checked"'; }
    
    if (isset($options['produkt_server'])) { $chkServer=' checked="checked"'; }
    
    if (isset($options['keinJsFormularseite'])) { $keinJsFormularseite=$options['keinJsFormularseite']; }
    


    ?>
    <div class="wrap">
        <h2><?php if (array_key_exists('fv-form-hl',$arrTranslation)) { echo $arrTranslation['fv-form-hl']['translation']; } ?></h2>
        <form method="post" action="options.php">                                                              
            
            <h3><?php if (array_key_exists('fv-form-sl-formularfelder',$arrTranslation)) { echo $arrTranslation['fv-form-sl-formularfelder']['translation']; } ?></h3>       
            <table border="0" class="tblFormular">
                <tr>
                    <th style="text-align:center"><?php if (array_key_exists('fv-formular-felder-auswahl',$arrTranslation)) { echo $arrTranslation['fv-formular-felder-auswahl']['translation']; } ?></th><th></th><th style="width:200px;text-align:left"><?php if (array_key_exists('fv-formular-feld',$arrTranslation)) { echo $arrTranslation['fv-formular-feld']['translation']; } ?></th><th style=""><?php if (array_key_exists('fv-formular-feld-pflicht',$arrTranslation)) { echo $arrTranslation['fv-formular-feld-pflicht']['translation']; } ?></th>
                </tr>                
                <tr><td align="center"><input type="checkbox" id="chkFirma" name="fastviewer_formular[auswahlFirma]" checked="checked" disabled="disabled" /></td><td width="30px"></td><td><?php if (array_key_exists('fv-formular-feld-firma',$arrTranslation)) { echo $arrTranslation['fv-formular-feld-firma']['translation']; } ?></td><td align="center"><input type="checkbox" id="chkFirmaRequired" name="fastviewer_formular[pflichtFirma]"<?php echo $chkPflichtFirma; ?> onchange="if (jQuery('#chkFirmaRequired').is(':checked')) { jQuery('#chkFirma').prop('checked',true); }" /></td></tr>
                <tr><td align="center"><input type="checkbox" name="fastviewer_formular[auswahlAnrede]" checked="checked" disabled="disabled" /></td><td width="30px"></td><td><?php if (array_key_exists('fv-formular-feld-anrede',$arrTranslation)) { echo $arrTranslation['fv-formular-feld-anrede']['translation']; } ?></td><td align="center"><input type="checkbox" name="fastviewer_formular[pflichtAnrede]" checked="checked" disabled="disabled" /></td></tr>
                <tr><td align="center"><input type="checkbox" name="fastviewer_formular[auswahlVorname]" checked="checked" disabled="disabled" /></td><td width="30px"></td><td><?php if (array_key_exists('fv-formular-feld-vorname',$arrTranslation)) { echo $arrTranslation['fv-formular-feld-vorname']['translation']; } ?></td><td align="center"><input type="checkbox" name="fastviewer_formular[pflichtVorname]" checked="checked" disabled="disabled" /></td></tr>
                <tr><td align="center"><input type="checkbox" name="fastviewer_formular[auswahlNachname]" checked="checked" disabled="disabled" /></td><td width="30px"></td><td><?php if (array_key_exists('fv-formular-feld-nachname',$arrTranslation)) { echo $arrTranslation['fv-formular-feld-nachname']['translation']; } ?></td><td align="center"><input type="checkbox" name="fastviewer_formular[pflichtNachname]" checked="checked" disabled="disabled" /></td></tr>
                <tr><td align="center"><input type="checkbox" name="fastviewer_formular[auswahlEmail]" checked="checked" disabled="disabled" /></td><td width="30px"></td><td><?php if (array_key_exists('fv-formular-feld-email',$arrTranslation)) { echo $arrTranslation['fv-formular-feld-email']['translation']; } ?></td><td align="center"><input type="checkbox" checked="checked" disabled="disabled" /></td></tr>
                                               
                <tr>
                    <td colspan="4">
                        <div id="divProdukt">                
                            &nbsp;<br />
                            
                            <input type="checkbox" id="produkt_server" name="fastviewer_formular[produkt_server]"<?php echo $chkServer; ?> /><?php if (array_key_exists('fv-formular-produkt-serverloesung',$arrTranslation)) { echo $arrTranslation['fv-formular-produkt-serverloesung']['translation']; } ?><br />      
                       </div>                       
                    </td>
                </tr>
                <tr>
                    <td align="left" colspan="4">
                        <div style="margin:15px 0;">
                            <strong><label for="fastviewer_formular[keinJsFormularseite]"><?php if (array_key_exists('fv-formular-keinJsFormularseite',$arrTranslation)) { echo $arrTranslation['fv-formular-keinJsFormularseite']['translation']; } ?></label></strong><br />
                            <input type="text" id="fastviewer_formular[keinJsFormularseite]" name="fastviewer_formular[keinJsFormularseite]" value="<?php echo $keinJsFormularseite; ?>" style="width:400px;" />
                        </div>
                    </td>
                </tr>
                                
            </table>

            
            <?php settings_fields('fastviewer_gruppe_formular'); ?>

            <?
                //Beschriftung des Buttons wird ermittelt
                if (array_key_exists('global-button-speichern',$arrTranslation)) 
                { 
                    $btnLabel=$arrTranslation['global-button-speichern']['translation']; 
                }
            ?>  
                        
            <p class="submit">
                <input type="submit" class="button-primary" value="<?php echo $btnLabel; ?>" />
            </p>            
            </form>
          
    </div>
<?php    
}

add_action('admin_init','fastviewer_init');

function fastviewer_init()
{
    register_setting('fastviewer_gruppe_einstellungen','fastviewer_einstellungen','fastviewer_validate');
    register_setting('fastviewer_gruppe_formular','fastviewer_formular','fastviewer_validate');
}

function fastviewer_validate($input)
{
    
    return $input;
}

function getTranslationByLanguage($language,$arrBrowserLanguage)
{
    $options=get_option('fastviewer_formular');
    $arrLanguages=array();
    $arrLanguages[$language]=array(
        'language'=>$language,
        'prio'=>'1',
    );
    $arrTranslation=getTranslations($arrLanguages);
    //Mailvorlage wird ausgelesen
    $mailtext="";
    $file=WP_CONTENT_DIR.'/plugins/fastviewer/emailvorlagen/'.$language.'.txt';
    if (file_exists($file))
    {
        $mailtext = file_get_contents($file, true);    
    }
    

    //Produktnamen werden ermittelt    
    $produktIm='Instant Meeting';
    $produktSa='Secure Advisor';
    
    $formHeadline='';
    
    if (array_key_exists('fv-form-headline',$arrTranslation)) { $formHeadline=$arrTranslation['fv-form-headline']['translation']; }
    
    if (array_key_exists('fv-produkt-im',$arrTranslation)) { $produktIm=$arrTranslation['fv-produkt-im']['translation']; }
    if (array_key_exists('fv-produkt-sa',$arrTranslation)) { $produktSa=$arrTranslation['fv-produkt-sa']['translation']; }
        
    $lblBtnDesktop='';
    $lblBtnMobile='';
    if (array_key_exists('button-anfordern-desktop',$arrTranslation)) { $lblBtnDesktop=$arrTranslation['button-anfordern-desktop']['translation']; }
    if (array_key_exists('button-anfordern-mobil',$arrTranslation)) { $lblBtnMobile=$arrTranslation['button-anfordern-mobil']['translation']; }
    $form='
   <h3>';
    if (array_key_exists('fv-form-sl-produkt',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-form-sl-produkt']['translation']; }
   $form.='</h3>
    <table border="0" class="tblFormular">
        <tr>
           <th style="width:200px;text-align:left">';
                if (array_key_exists('fv-formular-produkt-produktname',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-formular-produkt-produktname']['translation']; }
            $form.='</th>        
        </tr>
        <tr>
            <td>
                <input type="text" value="'. $produktIm.'" id="txtProduktIm" name="produktIm" />
            </td>            
        </tr>
        <tr>
            <td>
                <input type="text" value="'. $produktSa.'" id="txtProduktSa" name="produktSa" />
            </td>        
        </tr>
   
    </table>    
    
   <h3>';
       
    if (array_key_exists('fv-sprachen-sl-buttons',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-sprachen-sl-buttons']['translation']; }
   $form.='</h3>           
    <table>
        <tr>
            <td colspan="4">
                <label for="lblFormHeadline">
                    <strong>';
                        if (array_key_exists('fv-sprachen-form-headline',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-sprachen-form-headline']['translation']; }
                $form.='</strong>
                </label>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <input class="form headline" type="text" id="txtFormHeadline" name="txtFormHeadline" value="'.$formHeadline.'" />
            </td>
        </tr>            
    
        <tr>
            <td colspan="4">
                <label for="lblBtn">
                    <strong>';
                        if (array_key_exists('fv-formular-button-desktop',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-formular-button-desktop']['translation']; }
                $form.='</strong>
                </label>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <input class="btnDesktop" type="text" id="btnLblDesktop" name="btnLblDesktop" value="'.$lblBtnDesktop.'" required="" />
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <label for="lblBtn">
                    <strong>';
                        if (array_key_exists('fv-formular-button-mobil',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-formular-button-mobil']['translation']; }
            $form.='</strong>
                </label>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <input class="btnMobile" type="text" id="btnLblMobile" name="btnLblMobile" value="'. $lblBtnMobile.'" required="" />
            </td>
        </tr>                                   
    </table>';            

$form.='
   <h3>';
    if (array_key_exists('fv-sprachen-sl-mailtext',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-sprachen-sl-mailtext']['translation']; }
   $form.='</h3>
           
    <table>
        <tr>
            <td colspan="4">
                <label for="lblBtn">
                    <strong>';
                        if (array_key_exists('fv-sprachen-mailtext',$arrBrowserLanguage)) { $form.=$arrBrowserLanguage['fv-sprachen-mailtext']['translation']; }
                $form.='</strong>
                </label>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <textarea name="licensemail">'.$mailtext.'</textarea>                
            </td>
        </tr>                                  
    </table>';            

        //Beschriftung des Buttons wird ermittelt
        if (array_key_exists('global-button-speichern',$arrTranslation)) 
        { 
            $btnLabel=$arrTranslation['global-button-speichern']['translation']; 
        }
        
        return $form;
    
}


//Übersetzungen werden in ein Array geschrieben
function getTranslations($langs=array())
{
    if (COUNT($langs) ==0)
        {
            //Überprüfung, ob eine Sprache ausgewählt wurde (Sprachkürzel in der URL)
            $arrLang=trim($_SERVER['REQUEST_URI'],'/');
            $arr=explode('/',$arrLang);
            $flgLanguage=false;
            $langs=array();
        for ($i=0;$i < COUNT($arr);$i++)
        {
            switch ($arr[$i])
            {
                case 'de':
                case 'en':
                    $langs=array($arr[$i]=>1.0);  
                    break;
            }
        }

        if (COUNT($langs) ==0)
        {
            //Eingestellte Browsersprache wird ermtittelt
            $langs = getBrowserLangs();    
        }       
            
    }   

     $flgLanguage=false;
    //Überprüfung, ob es von der Browsersprache eine Sprachdatei gibt
    foreach($langs as $lang => $prio) 
    {
        $xmlFile=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$lang.'.xml';
        if (file_exists($xmlFile))
        {
            $flgLanguage=true;
            break;
        }
    }
    
    if ($flgLanguage==false)
    {
        //Keine Sprachdatei gefunden
        //Eingestellte Standardsprache wird ermittelt
        $options=get_option('fastviewer_sprache');
        $xmlFile=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$options['defaultLanguage'].'.xml';
        if (file_exists($xmlFile))
        {
            //Sprachdatei wurde gefunden 
            $langs=array($options['defaultLanguage']=>1.0);
        }
        else
        {
            //Sprachdatei konnte nicht gefunden werden. Es wird die deutsche Sprachdatei geladen
            $langs=array('de'=>1.0);   
        }
        
    }

    $arrLanguage=array();
    foreach($langs as $lang => $prio) 
    { 
        
        
        //Überprüfung, ob es von der Browsersprache eine Sprachdatei gibt
        $xmlFile=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$lang.'.xml';
        $xmlFile2=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$lang.'-content.xml';
        $arrLanguage=array();
        $flgLanguage=false;
        if (file_exists($xmlFile))
        {
            //Sprachdatei existiert
            //Datei wird ausgelesen
            $xml = simplexml_load_file($xmlFile); 
            
            foreach ($xml->items->item as $item )  
            {  
                $arrLanguage[(string)$item->suffix]=array(
                    'suffix'=>(string)$item->suffix,
                    'title'=>(string)$item->title,
                    'translation'=>(string)$item->translation,
                );
                
            }         
            
            $xml = simplexml_load_file($xmlFile2); 
            
            foreach ($xml->items->item as $item )  
            {  
                $arrLanguage[(string)$item->suffix]=array(
                    'suffix'=>(string)$item->suffix,
                    'title'=>(string)$item->title,
                    'translation'=>(string)$item->translation,
                );
                
            }           
            //Verwendete Sprache wird noch gespeichert
            $arrLanguage['sprache']=array(
                'suffix'=>'sprache',
                'title'=>$lang,
                'translation'=>$lang,
            );                 
            
            break;
        }         
      }    
      

      
      return $arrLanguage;
    
}


function getSocialMediaLinks($language='de')
{
    $facebook='';
    $googleplus='';
    $twitter='';
    
    $fileFacebook=WP_CONTENT_DIR.'/plugins/fastviewer/languages/social-media/'.$language.'-facebook.txt';
    
    if (file_exists($fileFacebook))
    {
        $facebook = file_get_contents($fileFacebook, true);   
        
    }
    
    $fileTwitter=WP_CONTENT_DIR.'/plugins/fastviewer/languages/social-media/'.$language.'-twitter.txt';
    
    if (file_exists($fileTwitter))
    {
        $twitter = file_get_contents($fileTwitter, true);   
        
    }    
    
    $fileGoogleplus=WP_CONTENT_DIR.'/plugins/fastviewer/languages/social-media/'.$language.'-googleplus.txt';
    
    if (file_exists($fileGoogleplus))
    {
        $googleplus = file_get_contents($fileGoogleplus, true);   
        
    }      

   $sml='                      
        <div class="smbbox">        
        <ul class="clearfix sbm">
            <li>
            '.$twitter.'
            </li>

            <li>
            '.$facebook.'
            </li>

            <li style="width:100px;">
                '.$googleplus.'
            </li>    
        </ul>       
            <div style="clear:both;"></div>
        </div>';   
          
        
   return $sml;    
}

function form_creation($uniqid=0,$type=''){
    

    $arrTranslation=getTranslations();
    $lang=(string)$arrTranslation['sprache']['title'];
    $urlAgb='https://fastviewer.com/'.$lang.'/agb/';
    $urlTitleSuffix='';
    if (array_key_exists('label-agb',$arrTranslation)) 
    { 
        $urlAgb= str_replace('{{url_agb}}',$urlAgb,$arrTranslation['label-agb']['translation']); 
        if (checkSite()==false)
        {
            $urlTitleSuffix='FastViewer-';
        }
        
        //Wenn es sich nicht um die FastViewer-Domain handelt, dann soll "FastViewer-AGB" erscheinen, ansonsten nur "AGB"
        $urlAgb=str_replace('{{fastviewer-title}}',$urlTitleSuffix,$urlAgb); ;    
        
    }    

    $clsCompany='';
    $clsGender='';
    $clsFirstname='';
    $clsLastname='';
    $clsEmail='';
    $clsAgb='';
    $company='';
    $selGenderFemale='';
    $selGenderMale='';
    $firstname='';
    $lastname='';
    $email='';
    $partnerId='';
    
    $selIm=' checked="checked"';
    $selSa='';
    $agb='';
    $newsmail='';
    
    $serverYes='';
    $serverNo=' checked="checked"';
    
    if(!empty($_POST['btnGenerateLicense']))
    {
        //Button wurde angeklickt, um die Testlizenz zu erstellen (JavaScript ist nicht aktiv)
        $arr=$_POST;
        (isset($arr['produkt'])) ? $produkt=$arr['produkt'] : $produkt= '';
        switch ($produkt)
        {
            case 'sa': //Secure Advisor
                $selIm='';
                $selSa=' checked="checked"';
                break;
                
                
            default: //Instant Meeting
            
        }

        (isset($arr['choiceServer'])) ? $server=$arr['choiceServer'] : $server= '';

        switch ($server)
        {
            case 'serverYes': //Eigene Serverlösung
                $serverNo='';
                $serverYes=' checked="checked"';
                break;
                
            default: //Keinen Server
        }
        $company=$arr['firma'];
        if (isset($arr['anrede']))
        {
            switch ($arr['anrede'])
            {
                case 'herr':
                    $selGenderMale=' selected="selected"';
                    break;
                    
                case 'frau':
                    $selGenderFemale=' selected="selected"';
                    break;
            }

        }

        if (isset($arr['vorname'])) { $firstname=$arr['vorname']; }
        if (isset($arr['nachname'])) { $lastname=$arr['nachname']; }    
        if (isset($arr['email'])) { $email=$arr['email']; }
        if (isset($arr['agb'])) { $agb=$arr['agb']; }
        if (isset($arr['newsmail'])) { $newsmail=$arr['newsmail']; }
        
        if (!isset($_SESSION['genLicenseUniqid']) || ($_SESSION['genLicenseUniqid'] !=$_POST['uniqid']))
        {
            //Lizenz wird generiert (incl. Überprüfung, ob alle Felder korrekt gefüllt sind)
            $result=genLicense($arr);
    
            switch ($result)
            {
                case 'ErrorCompany';
                    $clsCompany='error';
                    break;
                    
                case 'ErrorGender':
                    $clsGender='error';
                    break;
                    
                case 'ErrorFirstname':
                    $clsFirstname='error';
                    break;
                    
                case 'ErrorLastname':
                    $clsLastname='error';
                    break;
             
                    
                case 'ErrorEmail':
                case 'ErrorNotCorrectEmail':
                    $clsEmail='error';
                    break;                    
                
                case 'ErrorAgb':
                    $clsAgb='error';
                    break;
                
                case 'Error':
                    //Lizenz konnte nicht erstellt werden
                    $output='
                        <div style="color:red;font-weight:bold">'.$arrTranslation['meldung-fehler-titel']['translation'].'</div>
                        <div>'.$arrTranslation['meldung-fehler-text']['translation'].'</div>
                    ';
                    echo $output;
                    return;
                    
                    break;
                    
                case 'OK':
                    //Die Lizenz wurde erfolgreich erstellt
                    $output='
                        <div style="color:green;font-weight:bold">'.$arrTranslation['meldung-erfolg-titel']['translation'].'</div>
                        <div>'.$arrTranslation['meldung-erfolg-text']['translation'].'</div>
                        <div>'.$arrTranslation['meldung-erfolg-shared']['translation'].'</div>                        
                    ';
                    $_SESSION['genLicenseUniqid']=$_POST['uniqid'];
                    echo $output;    
                    return;            
                    break;
                    
                default:                 
                    
                        
            }     
        }        
    }
               

    //Eindeutige ID wird erzeugt, um die Eindeutigkeit der einzelnen Felder zu gewährleisten
    if ($uniqid==0)
    {
        $uniqid = uniqid();
    }
    
    $form='';
    
    $options=get_option('fastviewer_formular');
 
    //Produktnamen werden ermittelt
    $produktIm=$arrTranslation['fv-produkt-im']['translation'];
    $produktSa=$arrTranslation['fv-produkt-sa']['translation'];    
    $choiceServer='';
    $serverTooltiptext='';
    
    if (isset($arrTranslation['label-serverloesung-tooltip'])) 
    {
        $serverTooltiptext='<img src="'. plugins_url('fastviewer/images/info.png'). '" alt="" title="'.$arrTranslation['label-serverloesung-tooltip']['translation'].'" />';
    }    
    
    if (isset($options['produkt_server'])) { $choiceServer='<div id="divChoiceServer" class="clsChoiceServer"><span class="checkbox server" style=""><input type="checkbox" id="chkServer-'.$uniqid.'" name="choiceServer" value="serverYes"'.$serverYes.' /><label for="chkServer-'.$uniqid.'">&nbsp;'.$arrTranslation['global-anwort-ja']['translation'].'</label>'.$serverTooltiptext.'</span></div>'; }    
        
    $arr=array();

    //Produkt Instant Meeting soll angezeigt werden
    $arr[]=array('produktname'=>$produktIm,'value'=>'im','checked'=>$selIm);
    //Produkt Secure Advisor soll angezeigt werden
    $arr[]=array('produktname'=>$produktSa,'value'=>'sa','checked'=>$selSa);
            


    //Überprüfung, ob das Formular in der Lightbox angezeigt werden soll, wenn ja, dann wird das Formular zunächst ausgeblendet
    if ($type=='lightbox')
    {
        $display='none';      
        $lightboxClass=$type;
    }
    else
    {
        $display='block';
        $lightboxClass='no-lightbox';
    }
    //Start
    $form='
    <div class="fastviewer-form" style="display:'.$display.'">
    <div class=" '.$lightboxClass.'">';
                //Start -> Messagebox bei der fehlerhaften Generierung der Testlizenz 
                $form.='<div class="clsMessageError" id="divMessageError-'.$uniqid.'" style="display:none">';
                    if (array_key_exists('meldung-fehler-titel',$arrTranslation)) { $form.= '<h2>'.$arrTranslation['meldung-fehler-titel']['translation'].'</h2>'; }
                $form.='<p>';
                    if (array_key_exists('meldung-fehler-text',$arrTranslation)) { $form.= $arrTranslation['meldung-fehler-text']['translation']; }                  
                $form.='</p></div>';
                //Ende -> Messagebox bei der fehlerhaften Generierung der Testlizenz
                
                //Start -> Messagebox bei der erfolgreichen Generierung der Testlizenz                
                $form.='<div class="clsMessageSuccess" id="divMessageSuccess-'.$uniqid.'" style="display:none">';
                    if (array_key_exists('meldung-erfolg-titel',$arrTranslation)) { $form.= '<h2>'.$arrTranslation['meldung-erfolg-titel']['translation'].'</h2>'; }
                $form.='<p>';
                    if (array_key_exists('meldung-erfolg-text',$arrTranslation)) { $form.= $arrTranslation['meldung-erfolg-text']['translation']; }                                

                                                                                   
                        $form.='</p></div>';
                        //Ende -> Messagebox bei der erfolgreichen Generierung der Testlizenz                                
   
                        //Start -> Formular zur Anforderung der Testlizenz
                                                
                        $form.='
                            <div style="display:'.$display.'">
                                
                                <div class="testversionsform '.$lightboxClass.'" id="divTestversion-'.$uniqid.'">';
                                    //Grafiken nur anzeigen, wenn das Formular in der Lightbox geladen werden soll
                                    if (checkSite()==true)
                                    {
                                        if ($type=='lightbox')
                                        {
                                            $form.='
                                                <div id="fastviewer-symbol">
                                                    <img src="'.plugins_url('fastviewer/images/fastviewer-symbol.png').'"  />
                                                </div>   
                                            
                                            ';
                                        }
                                    }
                                                  
                                   $headline='';
                                    if (array_key_exists('fv-form-headline',$arrTranslation)) { $headline= $arrTranslation['fv-form-headline']['translation']; }                                    
                                    $form.=' 
                                 
                                    <form id="frmLicenseGenerator" action="" onsubmit="return false;" method="POST" enctype="multipart/form-data">
                                    <h2>'.$headline.'</h2>
                                        <div class="fv-produkte">
                                            <label for="produkt"></label>';
                                            //Anzuzeigende Produkte werden ausgelesen
                                            
                                            $form.='
                                            <div class="fvChoiceProduct">';
                                                foreach($arr AS $value)
                                                {
                                                    $form.='<div><input type="radio" id="'.$value['value'].'-'.$uniqid.'" name="produkt" value="'.$value['value'].'"'.$value['checked'].' /><label for="'.$value['value'].'-'.$uniqid.'">&nbsp;'.$value['produktname'].'</label></div>';    

                                                }
                                            $form.='
                                            </div>                        
                                            '.$choiceServer.'
                                        </div>';
                                
                                        $lblFirma='';
                                        $placeholderFirma='';        
                                        $lblAnrede='';
                                        $placeholderAnrede='';
                                        $lblVorname='';
                                        $placeholderVorname='';
                                        $lblNachname='';
                                        $placeholderNachname='';
                                        $lblEmail='';
                                        $placeholderEmail='';
                                        $placeholderErfahren='';
                                        $placeholderVarianten='';
                                        
                                        $placeholderFirma=$arrTranslation['fv-formular-feld-firma']['translation'];
                                       $placeholderAnrede=$arrTranslation['fv-formular-feld-anrede']['translation'].'*';
                                       $placeholderVorname=$arrTranslation['fv-formular-feld-vorname']['translation'].'*';
                                       $placeholderNachname=$arrTranslation['fv-formular-feld-nachname']['translation'].'*';
                                       $placeholderEmail=$arrTranslation['fv-formular-feld-email']['translation'].'*';
                                       $placeholderVarianten=$arrTranslation['variantenart-headline']['translation'];
                                       $placeholderErfahren=$arrTranslation['erfahren-headline']['translation'];            
                                                                              
                                        $requiredCompany='';
                                        $lblSuffix='';
                                        if (isset($options['pflichtFirma']))
                                        {
                                            $requiredCompany=' required=""';
                                            $lblSuffix='*';
                                        }
                                        
                                        //Platzhalter werden hinzugefügt
                                        $placeholderFirma.=$lblSuffix;

                                        $form.='<div class="fv-feld" id="divFirma">';
                                        $form.='<input type="text" class="'.$clsCompany.'" id="firma-'.$uniqid.'" name="firma" placeholder="'.$placeholderFirma.'" value="'.$company.'"'.$requiredCompany.' />';
                                        $form.='<div id="divMeldungFirma-'.$uniqid.'"></div>';
                                        $form.='</div>';
                                        
                                    //Feld-uniqid                                    
                                    $form.='<input type="hidden" id="uniqid-'.$uniqid.'" value="'.$uniqid.'" name="uniqid">';
                                          
                                    $form.='<input type="hidden" id="checkGo-'.$uniqid.'" value="https://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'].'demo-form" name="checkGo">';                                                                                                         
                                    //Start -> Feld Anrede
                                    $form.='
                                        <div class="fv-feld" id="divAnrede">';    

                                            //Platzhalter sollen angezeigt werden
                                            $form.='<select class="'.$clsGender.'" id="anrede-'.$uniqid.'" name="anrede" onclick="deleteOption(\'anrede-'.$uniqid.'\',\'\');" onchange="jQuery(this).addClass(\'selectColor\')" required="">';
                                            $form.='<option value="" disabled selected>'.$placeholderAnrede.'</option>';
              
                                            $form.='
                                                <option value="herr"'.$selGenderMale.'>'.$arrTranslation['global-auswahl-anrede-herr']['translation'].'</option>
                                                <option value="frau"'.$selGenderFemale.'>'.$arrTranslation['global-auswahl-anrede-frau']['translation'].'</option>
                                            </select><br />';
                                        $form.='
                                            <div id="divMeldungAnrede-'.$uniqid.'"></div>
                                        </div>';   
                                        //Ende -> Feld Anrede
                                    
                                    //Start -> Feld Vorname
                                    $form.='
                                    <div class="fv-feld" id="divVorname">
                                        <input class="'.$clsFirstname.'" type="text" id="vorname-'.$uniqid.'" name="vorname" value="'.$firstname.'" placeholder="'.$placeholderVorname.'" required="" />
                                        <div id="divMeldungVorname-'.$uniqid.'"></div>   
                                    </div>';
                                    //Ende -> Feld Vorname
                        
                                    //Start -> Feld Nachname
                                    $form.='
                                    <div class="fv-feld" id="divNachname">                                      
                                        <input class="'.$clsLastname.'" type="text" id="nachname-'.$uniqid.'" name="nachname" value="'.$lastname.'" placeholder="'.$placeholderNachname.'" required="" />
                                        <div id="divMeldungNachname-'.$uniqid.'"></div>        
                                    </div>';
                                    //Ende -> Feld Nachname
                        
                                    
                        
                                    //Start -> Feld E-Mail
                                    $form.='
                                    <div class="fv-feld" id="divEmail">                                        
                                        <input class="'.$clsEmail.'" type="email" id="email-'.$uniqid.'" name="email" value="'.$email.'" placeholder="'.$placeholderEmail.'" required="" />
                                        <div id="divMeldungEmail-'.$uniqid.'"></div>
                                    </div>';
                                    //Ende -> Feld E-Mail    

                                    //Überprüfung, ob es sich um die Domain fastviewer.com handelt, wenn ja, dann Felder anzeigen
                                    if (strpos($_SERVER['HTTP_HOST'],'fastviewer.com')!==false)
                                    {
                                         //  echo "Test: ".$MeinTest;
                                        //var_dump($_SERVER);
                                        //Felder werden angezeigt
                                        //Anfang -> Feld Ich interessiere mich für folgendes Lizenzmodell
                                        $varianten=$arrTranslation['variantenarten']['translation'];
                                        //Variantenarten werden in Array geschrieben
                                        $myArr=explode(';',$varianten);
                                        $varianten='';
                                        if (count($myArr) > 0 && is_array($myArr))
                                        {
                                            foreach ($myArr AS $value)
                                            {
                                                $varianten.='<option value="'.$value.'" >'.$value.'</option>';
                                            }
                                        }
                                        
                                        $variantenartTooltiptext='';
                                        
                                        if (isset($arrTranslation['label-serverloesung-tooltip'])) 
                                        {
                                            $variantenartTooltiptext='<img src="'. plugins_url('fastviewer/images/info.png'). '" alt="" title="'.$arrTranslation['label-variantenart-tooltip']['translation'].'" />';
                                        }                                    
                                        $form.='
                                            <div class="fv-feld myVariantenart" id="divVariantenart">';    
                                                //Platzhalter sollen angezeigt werden
                                                $form.='<select class="" id="variantenart-'.$uniqid.'" name="variantenart" onclick="deleteOption(\'variantenart\',\'\');" onchange="jQuery(this).addClass(\'selectColor\')">';
                                                $form.='<option value="" selected>'.$placeholderVarianten.'</option>';
                  
                                                $form.=$varianten;
                                                
                                            $form.='
                                            </select><span>&nbsp;&nbsp;'.$variantenartTooltiptext.'</span><br />
                                                <div id="divMeldungVariantenart-'.$uniqid.'"></div>
                                            </div>';                                      
                                        
                                        //Ende -> Feld Ich interessiere mich für folgendes Lizenzmodell
                                        
                                        $erfahren=$arrTranslation['erfahren']['translation'];
                                        //Variantenarten werden in Array geschrieben
                                        $myArr=explode(';',$erfahren);
                                        $erfahren='';
                                        if (count($myArr) > 0 && is_array($myArr))
                                        {
                                            foreach ($myArr AS $value)
                                            {
                                                $erfahren.='<option value="'.$value.'" >'.$value.'</option>';
                                            }
                                        }                                    
    
                                        
                                        //Anfang -> Feld So habe ich von FastViewer erfahren
                                        $form.='
                                            <div class="fv-feld myErfahren" id="divErfahren">';    
    
                                                //Platzhalter sollen angezeigt werden
                                                $form.='<select class="" id="erfahren-'.$uniqid.'" name="erfahren" onclick="deleteOption(\'erfahren\',\'\');" onchange="jQuery(this).addClass(\'selectColor\')">';
                                                $form.='<option value="" selected>'.$placeholderErfahren.'</option>';                
                  
                                                $form.=$erfahren;
                                                
                                            $form.='
                                                </select><br />
                                                <div id="divMeldungErfahren-'.$uniqid.'"></div>
                                            </div>';                                      
                                        
                                        //Ende -> Feld So habe ich von FastViewer erfahren                                        
                                    }                                                                                                            
                     
                                    $form.='
                                        <div style="clear:both;width:300px">';
                                        if (array_key_exists('hinweis-pflichtfelder',$arrTranslation)) { $form.= $arrTranslation['hinweis-pflichtfelder']['translation']; }
                                        $form.='</div>';
                                        //Checkboxen "AGB" und "Newsmail" werden gesetzt
                                        $form.='<div class="chkFields">';
                                        $form.='<div class="fv-feld" id="agb-label-'.$uniqid.'">';                                                                                    
                                        $form.='<input type="checkbox" value="agb" name="chkAgb" id="chkAgb-'.$uniqid.'" required="" />&nbsp;'. $urlAgb;
                                        $form.='<div id="divMeldungAgb-'.$uniqid.'"></div>';                                    
                                        $form.='</div>';
                                        if (checkSite()==true)
                                        {
                                            if (array_key_exists('label-newsmail',$arrTranslation)) 
                                            {
                                                $form.='<div>
                                                <input type="checkbox" value="newsmail" name="chkNewsmail" id="chkNewsmail-'.$uniqid.'" />&nbsp;'.$arrTranslation['label-newsmail']['translation'].
                                                '</div>';                                            
                                            }
                                        }
                                        $form.='</div>';
                                        $form.='
                                        <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
                                        <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css" />
                                       <style>
                                            .ui-widget-overlay {
                                                background: rgba(0, 0, 0, 0) url('.plugins_url('fastviewer/images/overlay.png').') repeat scroll 0 0 !important;
                                                opacity: 0.98 !important;        
                                            }   
                                       </style>';
                        
                                        //Beschriftung des Buttons wird ermittelt
                                        $lblBtnDesktop=$arrTranslation['button-anfordern-desktop']['translation'];
                                        $lblBtnMobile=$arrTranslation['button-anfordern-mobil']['translation'];
                                        
                                            
                                        $form.='
                                        <div class="btnTestversion desktop">
                                            <input class="fv-btn" type="submit" name="btnGenerateLicense" value="'.$lblBtnDesktop.'" onclick="prepareGenLicense(\''.$uniqid.'\')" />
                                            <span id="spnWaitDesktop-'.$uniqid.'" class="spnWaitDesktop" style="display:none"><img src="'.plugins_url('fastviewer/images/ajax-loader.gif').'" /></span>
                                        </div>
                                        <div class="btnTestversion mobile">
                                            <input class="fv-btn" type="submit" name="btnGenerateLicense" value="'.$lblBtnMobile.'" onclick="prepareGenLicense(\''.$uniqid.'\')" />
                                            <span id="spnWaitMobile-'.$uniqid.'" class="spnWaitMobile" style="display:none"><img src="'.plugins_url('fastviewer/images/ajax-loader.gif').'" /></span>
                                        </div>
                                        <div style="clear:both"></div>
                                </form>';                                           
                                

                                //Link zum Starten des Teilnehmermodules nur von der fastviewer.com-Seite
                                if (checkSite()==true)
                                {
                                    //Url für die Seite "Teilnehmen" wird ermitttelt
                                    $urlTeilnehmermodul='https://'.$_SERVER['HTTP_HOST'].'/'.$lang;
                                    switch ($lang)
                                    {
                                        case 'en':
                                            $urlTeilnehmermodul.='/join/';
                                            break;
                                            
                                        default:
                                            $urlTeilnehmermodul.='/teilnehmen/';
                                    }
                                    
                                    $form.='<div id="divLabelMeeting">';
                                    if (array_key_exists('label-einladung-meeting',$arrTranslation)) {
                                        $linkTeilnehmermodul=str_replace('{{url_teilnehmermodul}}', $urlTeilnehmermodul,$arrTranslation['label-einladung-meeting']['translation']);
                                        $form.=$linkTeilnehmermodul; 
                                    }
                                    $form.='</div>';     
                                    
                                }
                                    

                                        
                                        
                                 if (checkSite()==true && $type=="lightbox")
                                 {
                                    //Formular wird in der Lightbox angezeigt
                                    //2. Formular mit Teilnamhe am Meeting wird generiert
                                    $form.='
                                        <style>
                                            .testversionsform.lightbox #frmLicenseGenerator {
                                                border-right: 1px solid #DaDBD8;
                                            }
                                        </style>
                                    ';                                    
                                    $form.='<form id="frmTeilnahmeMeeting" action="'.$urlTeilnehmermodul.'" target="_blank" method="post">';
                                    $headline='';
                                    $subheadline='';
                                    if (array_key_exists('popup-topheadline-einladung-meeting',$arrTranslation))
                                    {
                                        $headline='<h2>'.$arrTranslation['popup-topheadline-einladung-meeting']['translation'].'</h2>';
                                    }
                                        
                                    if (array_key_exists('popup-label-einladung-meeting',$arrTranslation))
                                    {
                                        $subheadline='<p>'.$arrTranslation['popup-label-einladung-meeting']['translation'].'</p>';
                                    }
                                    $form.=$headline.$subheadline;    
                                    //Button wird erstellt
                                    $lblBtnMeeting='An Meeting teilnehmen';
                                    if (array_key_exists('popup-button-einladung-meeting',$arrTranslation)) { $lblBtnMeeting=$arrTranslation['popup-button-einladung-meeting']['translation']; }
                                    $form.='<div class="btnTestversion popup meeting">
                                                <input class="fv-btn" type="submit" name="btnMeeting" value="'.$lblBtnMeeting.'"  />
                                                
                                            </div>                                                                
                                    ';
                                    $form.='</form>';
                                 }   
                                                                               
                                                
                                    
                            $form.='</div>
                        </div>';
                        //Ende -> Formular zur Anforderung der Testlizenz
            $form.='</div>
                </div>';
                
            if (checkSite()==false)
            {
                ?>
                     <style>
                        .testversionsform.no-lightbox .clsChoiceServer {
                         /*   width:595px !important;*/
                        }
                    </style>                   
                <?php
            }
                //Ende 
        return $form;
    
}


//Lädt das Formular in einem unsichtbaren Div-Container und zeigt nur einen Button zum Öffnen des Formulares in einer Lightbox an
function form_creation_lightbox()
{

    //Übersetzungen werden ausgelesen
    $arrTranslation=getTranslations();
    $uniqid=uniqid();
    $options=get_option('fastviewer_formular');
    $form=form_creation($uniqid,'lightbox');

    //Beschriftung des Buttons wird ermittelt
    $lblBtnDesktop=$arrTranslation['button-anfordern-desktop']['translation'];
    $lblBtnMobile=$arrTranslation['button-anfordern-mobil']['translation'];

    
    $form.='<form action="'.$options['keinJsFormularseite'].'" method="POST" onsubmit="return false;">
        <div class="btnTestversion desktop fv-btn-lightbox">
            <input class="fv-btn cboxElement lightbox-popup" type="submit" href="#divTestversion-'.$uniqid.'" name="btnOpenLightbox" value="'.$lblBtnDesktop.'" />
        </div>
        <div class="btnTestversion mobile fv-btn-lightbox">
            <input class="fv-btn cboxElement lightbox-popup" type="submit" href="#divTestversion-'.$uniqid.'" name="btnOpenLightbox" value="'.$lblBtnMobile.'" />
        </div></form>
        <script type="text/javascript">
            checkBrowser();
        </script>
        ';
        
    $form.=setLightboxDimension();
       
       
    return $form;
}


function setLightboxDimension()
{
    $cb='<script type="text/javascript">';
    if (checkSite()==true)
    {
        $cb.='
            jQuery(document).ready(function() {
            	jQuery(".lightbox-popup").colorbox({
            		inline: true, 
            		width: "770px",
                    maxWidth:"770px",
                    height:"780px",                                                                                       
            	});

             });   
             
             </script>
             <style>
                .testversionsform.lightbox #frmLicenseGenerator {
                    border-right: 1px solid #DaDBD8;
                }
            </style>     
        ';
    }
    else
    {
        $cb.='
            jQuery(document).ready(function() {                
            	jQuery(".lightbox-popup").colorbox({
            		inline: true, 
            		width: "540px",
                    height:"780",                                                         
                    onComplete : function() {
                        
                    }                                                           
            	});                

                
             }); 
             </script>       
              
        ';        
    }    
    
    
    return $cb;
}

//Lädt das Formular in einem unsichtbaren Div-Container und zeigt nur einen Button zum Öffnen des Formulares in einer Lightbox an
function form_creation_lightbox_link($uniqid=0)
{

    //Übersetzungen werden ausgelesen
    $arrTranslation=getTranslations();
    $options=get_option('fastviewer_formular');
    if ($uniqid==0)
    {
        $uniqid=uniqid();   
        $form=form_creation($uniqid,'lightbox'); 
    }
    else
    {
        $form=form_creation($uniqid,'lightbox');
        return $form;
    }
    
    
    

    //Beschriftung des Buttons wird ermittelt
    $lblBtnDesktop=$arrTranslation['button-anfordern-desktop']['translation'];
    $lblBtnMobile=$arrTranslation['button-anfordern-mobil']['translation'];

    $form.='<form action="'.$options['keinJsFormularseite'].'" method="POST" onsubmit="return false;">
        <div class="btnTestversion desktop fv-btn-lightbox">
            <a class="fv-btn cboxElement lightbox-popup" href="#divTestversion-'.$uniqid.'" name="btnOpenLightbox">'.$lblBtnDesktop.'</a>
        </div>
        <div class="btnTestversion mobile fv-btn-lightbox">
            <a class="fv-btn cboxElement lightbox-popup" href="#divTestversion-'.$uniqid.'" name="btnOpenLightbox">'.$lblBtnMobile.'</a>
        </div></form>
            <script type="text/javascript">
                checkBrowser();
            </script>
        ';
        
        $form.=setLightboxDimension();   
            
    return $form;
}

function formGenButton($uniqid)
{

    $btn='';
    $arrTranslation=getTranslations();
    //Beschriftung des Buttons wird ermittelt
    $lblBtnDesktop=$arrTranslation['button-anfordern-desktop']['translation'];
    $lblBtnMobile=$arrTranslation['button-anfordern-mobil']['translation'];

    $btn.='<form action="'.$options['keinJsFormularseite'].'" method="POST" onsubmit="return false;">
        <div class="btnTestversion desktop fv-btn-lightbox">
            <a class="fv-btn cboxElement lightbox-popup" href="#divTestversion-'.$uniqid.'" name="btnOpenLightbox">'.$lblBtnDesktop.'</a>
        </div>
        <div class="btnTestversion mobile fv-btn-lightbox">
            <a class="fv-btn cboxElement lightbox-popup" href="#divTestversion-'.$uniqid.'" name="btnOpenLightbox">'.$lblBtnMobile.'</a>
        </div></form>

            <script type="text/javascript">
                checkBrowser();
            </script>
        ';
        
        $form.=setLightboxDimension();        
            
    return $btn;
    
}

function formvalidate($arr)
{
    
    $options=get_option('fastviewer_formular');
    
    //Optionales Pflichtfeld wird geprüft
    if (isset($options['auswahlFirma']))
    {
        if (isset($options['pflichtFirma']))
        {
            if (trim($arr['firma'])=='')
            {
                //Firma wurde nicht eingegeben
                return 'ErrorCompany';
            }      
        }
    }
    
    //Standard-Pflichtfelder werden geprüft
    if (trim($arr['anrede'])=='')
    {
        //Anrede wurde nicht ausgewählt
        return 'ErrorGender';
    }      
    
    if (trim($arr['vorname'])=='')
    {
        //Vorname wurde nicht eingegeben
        return 'ErrorFirstname';
    }      
    
    if (trim($arr['nachname'])=='')
    {
        //Firma wurde nicht eingegeben
        return 'ErrorLastname';
    }      
    
  
    
    //Standard-Pflichtfelder werden geprüft
    if (trim($arr['email'])=='')
    {
        //Anrede wurde nicht ausgewählt
        return 'ErrorEmail';
    } 
    else
    {
        //Überprüfung, ob es sich um eine reguläre E-Mail-Adresse handelt
        if (check_email($arr['email'])==false)
        {
            //E-Mail-Adresse ist nicht korrekt
            return 'ErrorNotCorrectEmail';
        }
    }

    
    if (trim($arr['agb'])=='')
    {
        //AGB wurde nicht angehakt
        return 'ErrorAgb';
    }     

    return true;
}

//Funktion prüft E-Mail-Adresse auf Korrektheit
function check_email($email)
{        
    if(preg_match('/^[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+(?:\.[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+)*\@[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+(?:\.[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+)+$/i', $email))
    {
        return true;  
    } 
    else
    {
        return false;    
    }
    
}  


function sendMail($arr,$subject,$message,$returnEmail='',$lizenznehmer='')
{
    $arrRecipient=array();
    if (is_array($arr) && COUNT($arr) > 0)
    {
        foreach ($arr  AS $value)
        {
            //Überprüfung, ob es sich um eine korrekte E-Mail-Adresse handelt
            if (check_email($value)==true)
            {
                $arrRecipient[$value]=$value;    
            }            
        }
    }
    
    $replyTo='info@fastviewer.com';
    if ($returnEmail!="")
    {
    
        //Überprüfung, ob es sich um eine korrekte E-Mail-Adresse handelt
        if (check_email($returnEmail)==true)
        {
            //Ist eine gültige E-Mail-Adresse
            $replyTo=$returnEmail;    
        }   
    }    

    $headers   = array();
    $headers[] = "MIME-Version: 1.0";
    $headers[] = "Content-type: text/html; charset=utf-8";
    $headers[] = "From: ".$returnEmail;
    $headers[] = "Reply-To: ".$replyTo;
    $headers[] = "Subject: {".$subject."}";
    $headers[] = "X-Mailer: PHP/".phpversion();
        
    if (mail(implode(',',$arrRecipient), $subject, $message, implode("\r\n", $headers))==true)
    {
        return 'OK';
    }
    else
    {
        return 'Error';
    }    
}

function genLicense($arrData)
{

    //Sprache wird ermittelt
    $arrLang=trim($_SERVER['REQUEST_URI'],'/');
    $arr=explode('/',$arrLang);
    $flgLanguage=false;
    $langs=array();
    for ($i=0;$i < COUNT($arr);$i++)
    {
        switch ($arr[$i])
        {
            case 'de':
            case 'en':
                $langs=array($arr[$i]=>1.0);  
                break;
        }
    }

    if (COUNT($langs) ==0)
    {
        //Eingestellte Browsersprache wird ermtittelt
        $langs = getBrowserLangs();    
    }       

     $flgLanguage=false;
    //Überprüfung, ob es von der Browsersprache eine Sprachdatei gibt
    foreach($langs as $lang => $prio) 
    {
        $xmlFile=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$lang.'.xml';
        if (file_exists($xmlFile))
        {
            $language=$lang;
            $flgLanguage=true;
            break;
        }
    }

    if ($flgLanguage==false)
    {
        //Keine Sprachdatei gefunden
        //Eingestellte Standardsprache wird ermittelt
        $options=get_option('fastviewer_sprache');
        $xmlFile=WP_CONTENT_DIR.'/plugins/fastviewer/languages/'.$options['defaultLanguage'].'.xml';
        if (file_exists($xmlFile))
        {
            //Sprachdatei wurde gefunden 
            $language=$options['defaultLanguage'];
        }
        else
        {
            //Sprachdatei konnte nicht gefunden werden. Es wird die deutsche Sprachdatei geladen
            $language='de';   
        }
        
    }    
    //Zeitzone setzen
    date_default_timezone_set('Europe/Berlin');

     //Überprüfung, ob alle Pflichtfelder ausgefüllt wurden
    $result=formvalidate($arrData);

    if ($result!==true)
    {
        //Ein Pflichtfeld wurde nicht ausgefüllt
        return $result;
    }

    global $wpdb;
    //Eigene Lizenzdaten werden ausgelesen
    $options=get_option('fastviewer_einstellungen');
    $arrInfoMailTo=array();

    if (!isset($options['testmodus']))
    {
        //Plugin befindet sich im Livemodus
        $testmode=0;
    }
    else
    {
        //Plugin befindet sich im Testmodus
        //Info-E-Mail wird NICHT an FastViewer gesendet
        $testmode=1;
    }  
    

    if (isset($options['emailTo']) && count($options['emailTo']) > 0)
    {
        foreach ($options['emailTo'] AS $email)
        {
            if ($email!='')
            {
                $arrInfoMailTo[$email]=$email;    
            }            
        }
    }
    
    if (!defined( 'PARENT_PWD')) { define("PARENT_PWD",(isset($options['passwort'])) ? trim($options['passwort']) : ''); }
    if (!defined("PARENT_KEY")) { define("PARENT_KEY",(isset($options['parentkey'])) ? (string)trim($options['parentkey']) : ''); }        

     //Signatur für die Lizenzmail
    if (!defined("SIGNATURE_NAME")) { define("SIGNATURE_NAME",(isset($options['sigAnsprechpartner'])) ? trim($options['sigAnsprechpartner']) : ''); }
    if (!defined("SIGNATURE_COMPANY")) { define("SIGNATURE_COMPANY",(isset($options['sigFirma'])) ? trim($options['sigFirma']) : 'FastViewer GmbH'); }
    if (!defined("SIGNATURE_STREET")) { define("SIGNATURE_STREET",(isset($options['sigStrasse'])) ? trim($options['sigStrasse']) : 'Schwesterhausgasse 11'); }
    if (!defined("SIGNATURE_POSTAL")) { define("SIGNATURE_POSTAL",(isset($options['sigPlz'])) ? trim($options['sigPlz']) : '92318'); }
    if (!defined("SIGNATURE_CITY")) { define("SIGNATURE_CITY",(isset($options['sigOrt'])) ? trim($options['sigOrt']) : 'Neumarkt'); }
    if (!defined("SIGNATURE_PHONE")) { define("SIGNATURE_PHONE",(isset($options['sigTelefon'])) ? 'Tel.'.trim($options['sigTelefon']) : '+49 (0) 9181 50956 0'); }
    if (!defined("SIGNATURE_FAX")) { define("SIGNATURE_FAX",(isset($options['sigTelefax'])) ? "Fax ".trim($options['sigTelefax']) : '+49 (0) 9181 50956 29'); }
    if (!defined("SIGNATURE_MAIL")) { define("SIGNATURE_MAIL",(isset($options['sigEmail'])) ? trim($options['sigEmail']) : 'info@fastviewer.com'); }
    if (!defined("SIGNATURE_WEBSITE")) { define("SIGNATURE_WEBSITE",(isset($options['sigWebseite'])) ? trim($options['sigWebseite']) : 'http://www.fastviewer.com'); }                   
    
    $numRemoteConnections=0;
    $numRemoteClients=0;    
    $flgRemoted=false;         
    
    $produkt=(string)$arrData['produkt'];
    if ($produkt=="")
    {
        $produkt='aio';
    }

    (isset($arrData['firma'])) ? $firma=(string)trim($arrData['firma']) : $firma='';
    (isset($arrData['anrede'])) ? $anrede=(string)trim($arrData['anrede']) : $anrede='';
    (isset($arrData['vorname'])) ? $vorname=(string)trim($arrData['vorname']) : $vorname='';
    (isset($arrData['nachname'])) ? $nachname=(string)trim($arrData['nachname']) : $nachname='';
    (isset($arrData['email'])) ? $email=(string)trim($arrData['email']) : $email='';
    (isset($arrData['newsmail'])) ? $newsmail=(string)trim($arrData['newsmail']) : $newsmail='';  
    (isset($arrData['choiceServer'])) ? $eigenerServer=(string)trim($arrData['choiceServer']) : $eigenerServer='';
    (isset($arrData['variantenart'])) ? $variantenart=(string)trim($arrData['variantenart']) : $variantenart='';
    (isset($arrData['erfahren'])) ? $erfahren=(string)trim($arrData['erfahren']) : $erfahren='';
      
    if ($newsmail=="1")
    {
        $newsmail='Ja';
    }
    else
    {
        $newsmail='Nein';
    }
    
     switch ($produkt)
     {
        case 'im': //Instant Meeting
            $art='Instant Meeting (1:100)';
            $countParticipants=100;

            break;
            
        case 'sa'; //Secure Advisor
            $art='Secure Advisor (1:2) - (1:100)';
            $countParticipants=2;
            $numRemoteConnections=1;
            $numRemoteClients=100;
            $flgRemoted=true;                        
            break;
            
        default:
            $art='Instant Meeting (1:100) + remote Option (1:10)';
            $countParticipants=100;    
            $numRemoteConnections=1;
            $numRemoteClients=10;
            $flgRemoted=true;                               
     }

    if ($testmode==0)
    {
        //Info-E-Mail wird an FastViewer gesendet
        //Plugin befindet sich im Livemodus
        $testmodus='';          
    }
    else
    {
        $testmodus=' (Testmodus)';        
    }
         
     if (trim($arrData['firma']!=""))
     {     
        $lizenznehmer=$arrData['firma'].$testmodus;
     }
     else
     {
        $lizenznehmer=$arrData['vorname'].' '.$arrData['nachname'].$testmodus;
     }
     
    $partner='---';
    if (!empty($_COOKIE['fv-pid']))
    {
        
        $partner=$_COOKIE['fv-pid'];
    }    
    else
    {
        if (!empty($_SESSION['fv-pid']))
        {
            $partner=$_SESSION['fv-pid'];
        }
    }             
    
    //Text der Lizenzmail wird ausgelesen
     $mailtext = file_get_contents('emailvorlagen/'.$language.'.txt', true);  
     
    //Daten werden in Variable geschrieben
    $post=array();
    $post['sigName']=SIGNATURE_NAME;
    $post['sigCompany']=SIGNATURE_COMPANY;
    $post['sigStreet']=SIGNATURE_STREET;
    $post['sigPlz']=SIGNATURE_POSTAL;
    $post['sigCity']=SIGNATURE_CITY;
    $post['sigPhone']=SIGNATURE_PHONE;
    $post['sigFax']=SIGNATURE_FAX;
    $post['sigMail']=SIGNATURE_MAIL;
    $post['sigWebseite']=SIGNATURE_WEBSITE;
    $post['produktart']=$art;
    $post['firma']=$firma;
    $post['anrede']=$anrede;
    $post['vorname']=$vorname;
    $post['nachname']=$nachname;        
    $post['email']=$email;
    $post['erfahren']=$erfahren;
    $post['variantenart']=$variantenart;
    $post['newsmail']=$newsmail;
    $post['lizenznehmer']=$lizenznehmer;
    $post['produkt']=$produkt; //im, sa, aio    
    $post['countParticipants']=$countParticipants;
    $post['numRemoteConnections']=$numRemoteConnections;
    $post['numRemoteClients']=$numRemoteClients;  
    $post['flgRemoted']=$flgRemoted;
    $post['parentkey']=PARENT_KEY;
    $post['token_id']=PARENT_PWD;
    $post['eigenerServer']=$eigenerServer;
    $post['emailTo']=$arrInfoMailTo;
    $post['partner']=$partner;
    $post['language']=$language;
    $post['mailtext']=$mailtext;
    $post['testmodus']=$testmode;
    $post['url']=$_SERVER['HTTP_REFERER'];
    
    $url='https://fastviewer.com/customer/plugin/';
    $ch = curl_init();                    

    $query = http_build_query($post, '', '&'); 

      curl_setopt($ch, CURLOPT_URL,$url); 
      curl_setopt($ch, CURLOPT_HTTP_VERSION, 1.1); 
      curl_setopt($ch, CURLOPT_POST, 1); 
      curl_setopt($ch, CURLOPT_POSTFIELDS, $query); 
      curl_setopt($ch, CURLOPT_HEADER,  false);  //Header wird der Rückgabe nicht vorangestellt
      curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 0);    
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
      curl_setopt($ch, CURLOPT_AUTOREFERER, 1);       
                                                                                                         
      $data=curl_exec($ch);            
        $result=explode(';',$data);        

          if ($result[0]=="OK")
          {
                $return='OK';                                                                             
                $newLicense=$result[1];
                
                if ($testmode==0)
                {
                    //Plugin befindet sich im Livebetrieb.
                    //Daten werden gespeichert
                    
                    //Daten werden in die Datenbank geschrieben
                    if (checkSite()==false)
                    {
                        //Nur abspeichern, wenn es nicht die Fastviewer - Seite ist                        
                        $wpdb->insert(
                            $wpdb->base_prefix.'fv_interessenten',
                            array(
                                'tstamp'=>time(),                            
                                'produkt'=>$produkt,
                                'firma'=>$firma,
                                'anrede'=>ucfirst($anrede),
                                'vorname'=>$vorname,
                                'nachname'=>$nachname,
                                'email'=>$email,
                                'lizenznummer'=>$newLicense,
                                'lizenznehmer'=>$lizenznehmer,
                            ),
                            array(
                                '%d',
                                '%s',
                                '%s',
                                '%s',
                                '%s',
                                '%s',                            
                                '%s',
                                '%s',
                                '%s',
                            )
                        );    
                    }
                }                
                               
          }
          else
          {
            return 'Error';
          }   

           
           return $return;
    
}


//Browsersprache ermitteln
function getBrowserLangs() {  
      
    $langs[0] = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);  
    $langs[1] = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
      //var_dump($langs);
    foreach($langs[0] as $l) {  
        $q = explode(';', $l);  
        $lang = substr($q[0], 0, 2);  
        $q = (isset($q[1])) ? (float)substr($q[1], 2) : 1;  
        $result[$lang] = $q;   
    }  
    if(isset($result) && is_array($result)) {  
        arsort($result, SORT_NUMERIC);    
        return $result;  
    }   
    return '';    
} 


add_shortcode('fastviewer-formular', 'form_creation');
add_shortcode('fastviewer-formularbutton', 'form_creation_lightbox');
add_shortcode('fastviewer-formularlink', 'form_creation_lightbox_link');
        

?>